GNU bug report logs - #21062
solaris: cp(1) check failures on tmpfs filesystem (Solaris 10 / Solaris 11)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Peter Bray <pdb_ml@HIDDEN>; merged with #30253; dated Wed, 15 Jul 2015 11:08:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'solaris: cp(1) check failures on tmpfs filesystem (Solaris 10 / Solaris 11)' from 'coreutils-8.24 - cp(1) check failures on tmpfs filesystem (Solaris 10 / Solaris 11)' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 21062 30253. Request was from Pádraig Brady <P@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21062 <at> debbugs.gnu.org:


Received: (at 21062) by debbugs.gnu.org; 15 Jul 2015 15:49:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 15 11:49:38 2015
Received: from localhost ([127.0.0.1]:50219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZFOwD-0006I6-7P
	for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 11:49:37 -0400
Received: from mail-wg0-f45.google.com ([74.125.82.45]:35802)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andreas.gruenbacher@HIDDEN>) id 1ZFOwA-0006Ht-LE
 for 21062 <at> debbugs.gnu.org; Wed, 15 Jul 2015 11:49:35 -0400
Received: by wgjx7 with SMTP id x7so37054665wgj.2
 for <21062 <at> debbugs.gnu.org>; Wed, 15 Jul 2015 08:49:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=luOcBs7T7lmlmQGQ3TzDoP7n0bTyDtaTJuilM0L2CVo=;
 b=FF6VbBg2DeggBJjvesCU5xmRtgdiY5aoYpw/tcJ9JFWcGUOiycdB3tX+FGmjlYHelo
 dQZduC1R//kZwpNECR5hshkpz1x6n7cTOWQwGe98Txz4oZz+fXPGSNIM4Pv8TP8rCljx
 koiwP4r+lk6ZuYm1uiw/WHrcGZrOKAYtkoUWGMkeAB4hbdqIUC/pACG+Q1hmqEUX1gkp
 7wHzeE/hOfFUWxWAz1mVIt3lrL7btZhc/4dRT972H1QceyGgfZd3xSKhXUhjTYfee0gD
 Lh6NRZaVMxcTqRFf7EwBFVqJn/7K5+g6EVHtWF+mTW52oQ+mf+xiC9gQnk+mynUBpQEj
 WIMw==
MIME-Version: 1.0
X-Received: by 10.180.189.40 with SMTP id gf8mr350064wic.32.1436975369012;
 Wed, 15 Jul 2015 08:49:29 -0700 (PDT)
Received: by 10.28.8.4 with HTTP; Wed, 15 Jul 2015 08:49:28 -0700 (PDT)
In-Reply-To: <55A642AE.4040104@HIDDEN>
References: <55A63E3B.8090308@HIDDEN> <55A642AE.4040104@HIDDEN>
Date: Wed, 15 Jul 2015 17:49:28 +0200
Message-ID: <CAHpGcMLD1TP_Aonjo6hE63E74FOmtPhd5Wc7CSZkfMWBf02w_A@HIDDEN>
Subject: Re: bug#21062: coreutils-8.24 - cp(1) check failures on tmpfs
 filesystem (Solaris 10 / Solaris 11)
From: =?UTF-8?Q?Andreas_Gr=C3=BCnbacher?= <andreas.gruenbacher@HIDDEN>
To: Peter Bray <pdb_ml@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21062
Cc: =?UTF-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>, 21062 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Peter,

2015-07-15 13:23 GMT+02:00 P=C3=A1draig Brady <P@HIDDEN>:
> On 15/07/15 12:04, Peter Bray wrote:
>> Greetings,
>>
>> While building coreutils-8.24 on Sun Solaris 10 Update 8, Oracle
>> Solaris 10 Update 11 and Oracle Solaris 11.2, I noticed the "gmake
>> check" on Solaris 10 Update 11 and Solaris 11.2 systems would give (at
>> least) FAIL: 7 and ERROR: 1 in the final summary, as the following
>> command shows:
>>
>>    egrep '(FAIL|ERROR):' ./tests/test-suite.log
>>
>> # XFAIL: 0
>> # FAIL:  7
>> # ERROR: 1
>> FAIL: tests/cp/backup-dir
>> FAIL: tests/cp/cp-parents
>> FAIL: tests/cp/duplicate-sources
>> ERROR: tests/cp/parent-perm
>> FAIL: tests/cp/parent-perm-race
>> FAIL: tests/cp/preserve-link
>> FAIL: tests/cp/reflink-perm
>> FAIL: tests/cp/src-base-dot
>>
>> These errors did not happen on Sun Solaris 10 Update 8 VMs.
>>
>> Investigating further showed a common error message "Operation not
>> applicable"

That's the ENOSYS error code on Solaris.

I cannot reproduce this here because I don't have access to different
versions of Solaris. it would be interesting to see which particular
command fails with which options, and in particular, which are the
failing system calls. The tool for system call tracing on Solari sis
called "truss".

>> I'm guessing the next step would be narrowing down the failures to one
>> or more locations in the code, but I'm yet to fully explore what the
>> test harnesses are doing and which code blocks they are provoking.

I can likely guess from the failing system calls.

>> But I see a few possibilities once the source of the issue is known.
>>
>>    - document that certain filesystem types do not support certain
>>      command line options on some operating systems. Additionally,
>>      place a note in the README for those systems, there are currently
>>      no notes for Solaris.
>>
>>    - take an alternate approach for "preserving permissions" on certain
>>      filesystem types (I'm guessing here)

We should be able to just make it work.

Thanks,
Andreas




Information forwarded to bug-coreutils@HIDDEN:
bug#21062; Package coreutils. Full text available.

Message received at 21062 <at> debbugs.gnu.org:


Received: (at 21062) by debbugs.gnu.org; 15 Jul 2015 11:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 15 07:23:39 2015
Received: from localhost ([127.0.0.1]:49639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZFKmo-0005Ak-8y
	for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:23:38 -0400
Received: from mail2.vodafone.ie ([213.233.128.44]:36346)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <P@HIDDEN>) id 1ZFKmm-0005AU-48
 for 21062 <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:23:37 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ap0GAP9BplVtTfsV/2dsb2JhbABbgkFSHzVpgla6cIV0AQICgUJMAQEBAQEBgQuEJAEBBDIBVgsNAQoJFg8JAwIBAgFFBgEMCAEBiC4BCL8bkEQBK4tMhBpzhCsFlD2EbYhhhxuIBogVJoINHBWBPz0yAYJJAQEB
Received: from unknown (HELO localhost.localdomain) ([109.77.251.21])
 by mail2.vodafone.ie with ESMTP; 15 Jul 2015 12:23:27 +0100
Message-ID: <55A642AE.4040104@HIDDEN>
Date: Wed, 15 Jul 2015 12:23:26 +0100
From: =?windows-1252?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.6.0
MIME-Version: 1.0
To: Peter Bray <pdb_ml@HIDDEN>, 21062 <at> debbugs.gnu.org, 
 Andreas Gruenbacher <andreas.gruenbacher@HIDDEN>
Subject: Re: bug#21062: coreutils-8.24 - cp(1) check failures on tmpfs
 filesystem (Solaris 10 / Solaris 11)
References: <55A63E3B.8090308@HIDDEN>
In-Reply-To: <55A63E3B.8090308@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21062
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 15/07/15 12:04, Peter Bray wrote:
> Greetings,
> 
> While building coreutils-8.24 on Sun Solaris 10 Update 8, Oracle
> Solaris 10 Update 11 and Oracle Solaris 11.2, I noticed the "gmake
> check" on Solaris 10 Update 11 and Solaris 11.2 systems would give (at
> least) FAIL: 7 and ERROR: 1 in the final summary, as the following
> command shows:
> 
>    egrep '(FAIL|ERROR):' ./tests/test-suite.log
> 
> # XFAIL: 0
> # FAIL:  7
> # ERROR: 1
> FAIL: tests/cp/backup-dir
> FAIL: tests/cp/cp-parents
> FAIL: tests/cp/duplicate-sources
> ERROR: tests/cp/parent-perm
> FAIL: tests/cp/parent-perm-race
> FAIL: tests/cp/preserve-link
> FAIL: tests/cp/reflink-perm
> FAIL: tests/cp/src-base-dot
> 
> These errors did not happen on Sun Solaris 10 Update 8 VMs.
> 
> Investigating further showed a common error message "Operation not 
> applicable"
> 
>    grep "Operation not applicable" ./tests/test-suite.log
> 
> cp: preserving permissions for 'y/x': Operation not applicable
> cp: preserving permissions for 'y/x': Operation not applicable
> cp: preserving permissions for 'e/d/a/b/c': Operation not applicable
> cp: preserving permissions for 'e/d/a/b': Operation not applicable
> cp: preserving permissions for 'g/sym/b/c': Operation not applicable
> cp: preserving permissions for 'g/sym/b': Operation not applicable
> +cp: preserving permissions for 'dest/a': Operation not applicable
> +cp: preserving permissions for 'dest/a': Operation not applicable
> +cp: preserving permissions for 'dest/al': Operation not applicable
> cp: preserving permissions for 'e/a/b/c': Operation not applicable
> cp: preserving permissions for 'd/mode/fifo': Operation not applicable
> cp: preserving permissions for 'd/mode': Operation not applicable
> cp: preserving permissions for 't/s': Operation not applicable
> cp: preserving permissions for 't/s': Operation not applicable
> cp: preserving permissions for 'copy': Operation not applicable
> +cp: preserving permissions for './.': Operation not applicable
> 
> These builds all were conducted on a subdirectory of /tmp, which is a
> "tmpfs" filesystem by default on Solaris.  On a hunch, I rebuilt the
> code on a non-tmpfs filesystem (/var/tmp which on these systems is a
> sub-directory of the /var ZFS filesystem) and the problems did not
> appear.
> 
> Thus it would _appear_ that later Solaris 10 releases and Solaris 11
> have code which returns an error that may not have been detected in
> the Solaris 10 Update 8 release, for certain actions on a tmpfs
> filesystem. But that is purely a guess.
> 
> I have included complete "test-suite.log" from Solaris 10 Update 11 /
> GCC 4.9.3 (64-bit) build based in /tmp/64-bit/coreutils-8.24/. I have
> not investigated which of the three "preserving permissions for"
> instances in the code is the cause.
> 
>     grep -n "preserving permissions for" lib/* src/*
> 
> lib/copy-acl.c:54:      error (0, errno, _("preserving permissions for 
> %s"), quote (dst_name));
> src/copy.c:1377:          error (0, errno, _("preserving permissions for 
> %s"),
> src/copy.c:2844:              error (0, errno, _("preserving permissions 
> for %s"),
> 
> I'm guessing the next step would be narrowing down the failures to one
> or more locations in the code, but I'm yet to fully explore what the
> test harnesses are doing and which code blocks they are provoking.
> 
> As it late I'm just going to submit this so others can ponder it.
> 
> But I see a few possibilities once the source of the issue is known.
> 
>    - document that certain filesystem types do not support certain
>      command line options on some operating systems. Additionally,
>      place a note in the README for those systems, there are currently
>      no notes for Solaris.
> 
>    - take an alternate approach for "preserving permissions" on certain
>      filesystem types (I'm guessing here)

There was refactoring work done in this area in gnulib recently.
I noticed a very similar problem on FreeBSD and fixed it with:
http://git.sv.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=716083c1

I suspect there is a similar unhandled case for Solaris.

thanks,
Pdraig.




Information forwarded to bug-coreutils@HIDDEN:
bug#21062; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jul 2015 11:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 15 07:07:37 2015
Received: from localhost ([127.0.0.1]:49633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZFKXI-0004mi-Ce
	for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:07:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45581)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKXE-0004mT-As
 for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:07:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKWF-0002jg-67
 for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:07:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41169)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKWE-0002jX-Tt
 for submit <at> debbugs.gnu.org; Wed, 15 Jul 2015 07:06:31 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58529)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKVK-0004Tb-Al
 for bug-coreutils@HIDDEN; Wed, 15 Jul 2015 07:06:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKUR-0001uf-PK
 for bug-coreutils@HIDDEN; Wed, 15 Jul 2015 07:05:34 -0400
Received: from nm17-vm1.bullet.mail.bf1.yahoo.com ([98.139.213.55]:51458)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pdb_ml@HIDDEN>) id 1ZFKUR-0001ti-0e
 for bug-coreutils@HIDDEN; Wed, 15 Jul 2015 07:04:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com.au; s=s2048;
 t=1436958278; bh=4vjatd+iZp7N/d64Mox6IKs8sd/VZund2DoemqO1xBQ=;
 h=Date:From:To:Subject:From:Subject;
 b=VAYp9N307wki5zJ5SVoxOQU3ioWXHjQee1KjrfWT/TavOfjP5iCBL4w6CD1PCcOKqsSkbsU6VOO1WBoImY+d5QDtxMTa0XoX/XR/DE63NrCzFxTUP3o5KFEiZz8+KI0QgcnQMLal9nHbmRQnEEz8d82VflovQ1ygu16cnnxXYAEhXK92CUXc6zpQBocPU4dqcKb1JzlZ7SFAZA4a8D3bYJ/cTNjuuHnjwa7VkGhS38Kw/lrX2Fuxt6z08Dr1GhDC6QGkDw3yeD3JTGwJ5Bg9okh1bz5qJYNEwzTM/bxFHYjLnVTXNwslA2UVHdTX2U/+z8RzYVf1a3/zPzZgUaWtvA==
Received: from [66.196.81.174] by nm17.bullet.mail.bf1.yahoo.com with NNFMP;
 15 Jul 2015 11:04:38 -0000
Received: from [98.139.213.14] by tm20.bullet.mail.bf1.yahoo.com with NNFMP;
 15 Jul 2015 11:04:38 -0000
Received: from [127.0.0.1] by smtp114.mail.bf1.yahoo.com with NNFMP;
 15 Jul 2015 11:04:38 -0000
X-Yahoo-Newman-Id: 91578.78897.bm@HIDDEN
X-Yahoo-Newman-Property: ymail-3
X-YMail-OSG: icSMDA8VM1k9fQUCkkHjeoCgyctVtyO5fI9RB4hqD728Tgq
 GDpBSyCs39EVBiylE21NvEKY_Po0EejxZamEFF5M5.BA.rSzfg_ItdQNaT0p
 NNWAkmm.WUrvmXUK80Hyq.k4uviMugTgIl4u2w5oARIf62jtvftjEEzRABkh
 Qsctss9C11bSwpyD.fPx7S1BBZ10kwQ1m5.OJJgLC7Y_z7dfPOx_S62uv7OZ
 NFanzUfg7ymfv4KCQqDIj09bKRehvAB0MGxWom6yhrY3W2mfwrK5VsESN1FA
 GnxP3kTv1bx.oIxgYJ8W6uE6z3vKDlaGmRSoJlao3atSgOkMWuoRdwUmsSBt
 H8s7xCtgRuqI1rrJWuF32jB5oP5A4lvzS.pWb8Pnc9jR6vR2ZCmoIUbTagmy
 eOmIiGUsOQJT_XkZFZEkZEjrEJZLx3hDgwPcb64cQbv_.LOXDy5L_xxmcj_B
 heJJTFLgX8.MgH.O4lPlsrx02NJpEhDIR_HZzXEM7ZAFJGkUcQAamZsLTHbk
 WhKgDoyfzZZYAk8EWxwar7Q--
X-Yahoo-SMTP: wy_7AdSswBBaijFlmVnVzTL.0g--
Message-ID: <55A63E3B.8090308@HIDDEN>
Date: Wed, 15 Jul 2015 21:04:27 +1000
From: Peter Bray <pdb_ml@HIDDEN>
User-Agent: Mozilla/5.0 (X11; SunOS i86pc;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: coreutils-8.24 - cp(1) check failures on tmpfs filesystem (Solaris
 10 / Solaris 11)
Content-Type: multipart/mixed; boundary="------------060309010004000200020900"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

This is a multi-part message in MIME format.
--------------060309010004000200020900
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Greetings,

While building coreutils-8.24 on Sun Solaris 10 Update 8, Oracle
Solaris 10 Update 11 and Oracle Solaris 11.2, I noticed the "gmake
check" on Solaris 10 Update 11 and Solaris 11.2 systems would give (at
least) FAIL: 7 and ERROR: 1 in the final summary, as the following
command shows:

   egrep '(FAIL|ERROR):' ./tests/test-suite.log

# XFAIL: 0
# FAIL:  7
# ERROR: 1
FAIL: tests/cp/backup-dir
FAIL: tests/cp/cp-parents
FAIL: tests/cp/duplicate-sources
ERROR: tests/cp/parent-perm
FAIL: tests/cp/parent-perm-race
FAIL: tests/cp/preserve-link
FAIL: tests/cp/reflink-perm
FAIL: tests/cp/src-base-dot

These errors did not happen on Sun Solaris 10 Update 8 VMs.

Investigating further showed a common error message "Operation not 
applicable"

   grep "Operation not applicable" ./tests/test-suite.log

cp: preserving permissions for 'y/x': Operation not applicable
cp: preserving permissions for 'y/x': Operation not applicable
cp: preserving permissions for 'e/d/a/b/c': Operation not applicable
cp: preserving permissions for 'e/d/a/b': Operation not applicable
cp: preserving permissions for 'g/sym/b/c': Operation not applicable
cp: preserving permissions for 'g/sym/b': Operation not applicable
+cp: preserving permissions for 'dest/a': Operation not applicable
+cp: preserving permissions for 'dest/a': Operation not applicable
+cp: preserving permissions for 'dest/al': Operation not applicable
cp: preserving permissions for 'e/a/b/c': Operation not applicable
cp: preserving permissions for 'd/mode/fifo': Operation not applicable
cp: preserving permissions for 'd/mode': Operation not applicable
cp: preserving permissions for 't/s': Operation not applicable
cp: preserving permissions for 't/s': Operation not applicable
cp: preserving permissions for 'copy': Operation not applicable
+cp: preserving permissions for './.': Operation not applicable

These builds all were conducted on a subdirectory of /tmp, which is a
"tmpfs" filesystem by default on Solaris.  On a hunch, I rebuilt the
code on a non-tmpfs filesystem (/var/tmp which on these systems is a
sub-directory of the /var ZFS filesystem) and the problems did not
appear.

Thus it would _appear_ that later Solaris 10 releases and Solaris 11
have code which returns an error that may not have been detected in
the Solaris 10 Update 8 release, for certain actions on a tmpfs
filesystem. But that is purely a guess.

I have included complete "test-suite.log" from Solaris 10 Update 11 /
GCC 4.9.3 (64-bit) build based in /tmp/64-bit/coreutils-8.24/. I have
not investigated which of the three "preserving permissions for"
instances in the code is the cause.

    grep -n "preserving permissions for" lib/* src/*

lib/copy-acl.c:54:      error (0, errno, _("preserving permissions for 
%s"), quote (dst_name));
src/copy.c:1377:          error (0, errno, _("preserving permissions for 
%s"),
src/copy.c:2844:              error (0, errno, _("preserving permissions 
for %s"),

I'm guessing the next step would be narrowing down the failures to one
or more locations in the code, but I'm yet to fully explore what the
test harnesses are doing and which code blocks they are provoking.

As it late I'm just going to submit this so others can ponder it.

But I see a few possibilities once the source of the issue is known.

   - document that certain filesystem types do not support certain
     command line options on some operating systems. Additionally,
     place a note in the README for those systems, there are currently
     no notes for Solaris.

   - take an alternate approach for "preserving permissions" on certain
     filesystem types (I'm guessing here)

Regards,

Peter Bray
Sydney, Australia

--------------060309010004000200020900
Content-Type: text/plain; charset=ISO-8859-1;
 name="test-suite.log"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="test-suite.log"

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
   GNU coreutils 8.24: ./tests/test-suite.log
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

# TOTAL: 579
# PASS:  422
# SKIP:  149
# XFAIL: 0
# FAIL:  7
# XPASS: 0
# ERROR: 1

=2E. contents:: :depth: 2

SKIP: tests/tail-2/inotify-race
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-inotify-race.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-inotify-race.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
inotify-race.sh.P4I-'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
++ cd /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ touch file
+ touch tail.out
+ case $(cat gdb.out) in
++ cat gdb.out
+ skip_ 'can'\''t run gdb'
+ warn_ 'inotify-race.sh: skipped test: can'\''t run gdb'
+ case $IFS in
+ printf '%s\n' 'inotify-race.sh: skipped test: can'\''t run gdb'
inotify-race.sh: skipped test: can't run gdb
+ test 9 =3D 2
+ printf '%s\n' 'inotify-race.sh: skipped test: can'\''t run gdb'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ kill
+ kill
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-inotify-race.sh.P4IS
+ exit 77
SKIP tests/tail-2/inotify-race.sh (exit status: 77)

SKIP: tests/tail-2/inotify-race2
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-inotify-race2.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-inotify-race2.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
inotify-race2.sh.PdZ6'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
++ cd /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ touch file
+ touch tail.out
+ case $(cat gdb.out) in
++ cat gdb.out
+ skip_ 'can'\''t run gdb'
+ warn_ 'inotify-race2.sh: skipped test: can'\''t run gdb'
+ case $IFS in
+ printf '%s\n' 'inotify-race2.sh: skipped test: can'\''t run gdb'
inotify-race2.sh: skipped test: can't run gdb
+ test 9 =3D 2
+ printf '%s\n' 'inotify-race2.sh: skipped test: can'\''t run gdb'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ kill
+ kill
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-inotify-race2.sh.PdZ6
+ exit 77
SKIP tests/tail-2/inotify-race2.sh (exit status: 77)

SKIP: tests/rm/ext3-perf
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-ext3-perf.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-ext3-perf.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
ext3-perf.sh.bXx5'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
++ cd /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'ext3-perf.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'ext3-perf.sh: skipped test: very expensive: disabled by =
default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
ext3-perf.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'ext3-perf.sh: skipped test: very expensive: disabled by =
default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-ext3-perf.sh.bXx5
+ exit 77
SKIP tests/rm/ext3-perf.sh (exit status: 77)

SKIP: tests/cp/link-heap
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-link-heap.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-link-heap.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
link-heap.sh.nWuh'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
++ cd /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'link-heap.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'link-heap.sh: skipped test: expensive: disabled by defau=
lt
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
link-heap.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'link-heap.sh: skipped test: expensive: disabled by defau=
lt
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-link-heap.sh.nWuh
+ exit 77
SKIP tests/cp/link-heap.sh (exit status: 77)

SKIP: tests/cp/no-ctx
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-ctx.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-ctx.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
no-ctx.sh.1oAV'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
++ cd /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_gcc_shared_
+ gcc_shared_ - d.so -xc
+ local in=3D-
+ local out=3Dd.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 -xc - -o d.so -l=
dl
+ rm -f d.so
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'no-ctx.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'no-ctx.sh: skipped test: this system lacks SELinux suppo=
rt'
no-ctx.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ printf '%s\n' 'no-ctx.sh: skipped test: this system lacks SELinux suppo=
rt'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-ctx.sh.1oAV
+ exit 77
SKIP tests/cp/no-ctx.sh (exit status: 77)

SKIP: tests/misc/tty-eof
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

tty-eof.pl: this script requires Perl's Expect package >=3D1.11
SKIP tests/misc/tty-eof.pl (exit status: 77)

SKIP: tests/tail-2/inotify-rotate
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-inotify-rotate.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-inotify-rotate.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
inotify-rotate.sh.ukHE'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
++ cd /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ grep '^#define HAVE_INOTIFY 1' /tmp/64-bit/coreutils-8.24/lib/config.h
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'inotify-rotate.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'inotify-rotate.sh: skipped test: expensive: disabled by =
default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
inotify-rotate.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'inotify-rotate.sh: skipped test: expensive: disabled by =
default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-inotify-rotate.sh.ukHE
+ exit 77
SKIP tests/tail-2/inotify-rotate.sh (exit status: 77)

SKIP: tests/tail-2/inotify-rotate-resources
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-inotify-rotate-resources.sh.XX=
XX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-inotify-rotate-resources.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk1Y
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk1=
Y
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk=
1Y
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
inotify-rotate-resources.sh.fk1Y'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk1Y
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.=
fk1Y
++ cd /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk1Y
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ grep '^#define HAVE_INOTIFY 1' /tmp/64-bit/coreutils-8.24/lib/config.h
+ skip_ 'inotify required'
+ warn_ 'inotify-rotate-resources.sh: skipped test: inotify required'
+ case $IFS in
+ printf '%s\n' 'inotify-rotate-resources.sh: skipped test: inotify requi=
red'
inotify-rotate-resources.sh: skipped test: inotify required
+ test 9 =3D 2
+ printf '%s\n' 'inotify-rotate-resources.sh: skipped test: inotify requi=
red'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.s=
h.fk1Y
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-inotify-rotate-resources.sh.fk1Y
+ exit 77
SKIP tests/tail-2/inotify-rotate-resources.sh (exit status: 77)

SKIP: tests/chgrp/basic
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-basic.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-basic.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
basic.sh.FqiD'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
++ cd /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'basic.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'basic.sh: skipped test: requires membership in two group=
s
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
basic.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'basic.sh: skipped test: requires membership in two group=
s
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-basic.sh.FqiD
+ exit 77
SKIP tests/chgrp/basic.sh (exit status: 77)

SKIP: tests/rm/hash
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-hash.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-hash.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
hash.sh.oHAc'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
++ cd /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'hash.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'hash.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
hash.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'hash.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-hash.sh.oHAc
+ exit 77
SKIP tests/rm/hash.sh (exit status: 77)

SKIP: tests/rm/r-root
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-r-root.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-r-root.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
r-root.sh.76Yq'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
++ cd /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ skip_if_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ require_gcc_shared_
+ gcc_shared_ - d.so -xc
+ local in=3D-
+ local out=3Dd.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 -xc - -o d.so -l=
dl
+ rm -f d.so
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'r-root.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'r-root.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
r-root.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'r-root.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-r-root.sh.76Yq
+ exit 77
SKIP tests/rm/r-root.sh (exit status: 77)

SKIP: tests/rm/many-dir-entries-vs-OOM
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-many-dir-entries-vs-OOM.sh.XXX=
X
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-many-dir-entries-vs-OOM.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlSt
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlSt=

++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlS=
t
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
many-dir-entries-vs-OOM.sh.Yl-t'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlSt
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.Y=
lSt
++ cd /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlSt
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm du chmod
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ for i in '$*'
+ env chmod --version
chmod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_ulimit_v_
+ local ulimit_works=3Dyes
+ local vm
+ case $(printenv LD_PRELOAD) in
++ printenv LD_PRELOAD
+ vm=3D10000
+ test yes =3D no
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'many-dir-entries-vs-OOM.sh: skipped test: expensive: disabled by=
 default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'many-dir-entries-vs-OOM.sh: skipped test: expensive: dis=
abled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
many-dir-entries-vs-OOM.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'many-dir-entries-vs-OOM.sh: skipped test: expensive: dis=
abled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh=
=2EYlSt
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-many-dir-entries-vs-OOM.sh.YlSt
+ exit 77
SKIP tests/rm/many-dir-entries-vs-OOM.sh (exit status: 77)

SKIP: tests/chgrp/default-no-deref
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-default-no-deref.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-default-no-deref.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
default-no-deref.sh.xZHJ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
++ cd /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'default-no-deref.sh: skipped test: requires membership in two gr=
oups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'default-no-deref.sh: skipped test: requires membership i=
n two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
default-no-deref.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'default-no-deref.sh: skipped test: requires membership i=
n two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-default-no-deref.sh.xZHJ
+ exit 77
SKIP tests/chgrp/default-no-deref.sh (exit status: 77)

SKIP: tests/chgrp/deref
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-deref.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-deref.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
deref.sh.pJ4Y'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
++ cd /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'deref.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'deref.sh: skipped test: requires membership in two group=
s
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
deref.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'deref.sh: skipped test: requires membership in two group=
s
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-deref.sh.pJ4Y
+ exit 77
SKIP tests/chgrp/deref.sh (exit status: 77)

SKIP: tests/chgrp/no-x
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-x.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-x.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
no-x.sh.NkLJ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
++ cd /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'no-x.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'no-x.sh: skipped test: requires membership in two groups=

this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
no-x.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'no-x.sh: skipped test: requires membership in two groups=

this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-x.sh.NkLJ
+ exit 77
SKIP tests/chgrp/no-x.sh (exit status: 77)

SKIP: tests/chgrp/posix-H
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-posix-H.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-posix-H.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
posix-H.sh.Okc1'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
++ cd /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'posix-H.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'posix-H.sh: skipped test: requires membership in two gro=
ups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
posix-H.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'posix-H.sh: skipped test: requires membership in two gro=
ups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-posix-H.sh.Okc1
+ exit 77
SKIP tests/chgrp/posix-H.sh (exit status: 77)

SKIP: tests/chgrp/recurse
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-recurse.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-recurse.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
recurse.sh.trqB'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
++ cd /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chgrp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chgrp --version
chgrp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'recurse.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'recurse.sh: skipped test: requires membership in two gro=
ups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
recurse.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'recurse.sh: skipped test: requires membership in two gro=
ups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-recurse.sh.trqB
+ exit 77
SKIP tests/chgrp/recurse.sh (exit status: 77)

SKIP: tests/misc/seq-long-double
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-seq-long-double.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-seq-long-double.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
seq-long-double.sh.kAX4'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
++ cd /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ seq
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env seq --version
seq (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Ulrich Drepper.
+ getlimits_
++ getlimits
+ eval CHAR_MAX=3D127 CHAR_OFLOW=3D128 CHAR_MIN=3D-128 CHAR_UFLOW=3D-129 =
SCHAR_MAX=3D127 SCHAR_OFLOW=3D128 SCHAR_MIN=3D-128 SCHAR_UFLOW=3D-129 UCH=
AR_MAX=3D255 UCHAR_OFLOW=3D256 SHRT_MAX=3D32767 SHRT_OFLOW=3D32768 SHRT_M=
IN=3D-32768 SHRT_UFLOW=3D-32769 INT_MAX=3D2147483647 INT_OFLOW=3D21474836=
48 INT_MIN=3D-2147483648 INT_UFLOW=3D-2147483649 UINT_MAX=3D4294967295 UI=
NT_OFLOW=3D4294967296 LONG_MAX=3D9223372036854775807 LONG_OFLOW=3D9223372=
036854775808 LONG_MIN=3D-9223372036854775808 LONG_UFLOW=3D-92233720368547=
75809 ULONG_MAX=3D18446744073709551615 ULONG_OFLOW=3D18446744073709551616=
 SIZE_MAX=3D18446744073709551615 SIZE_OFLOW=3D18446744073709551616 SSIZE_=
MAX=3D9223372036854775807 SSIZE_OFLOW=3D9223372036854775808 SSIZE_MIN=3D-=
9223372036854775808 SSIZE_UFLOW=3D-9223372036854775809 TIME_T_MAX=3D92233=
72036854775807 TIME_T_OFLOW=3D9223372036854775808 TIME_T_MIN=3D-922337203=
6854775808 TIME_T_UFLOW=3D-9223372036854775809 UID_T_MAX=3D2147483647 UID=
_T_OFLOW=3D2147483648 GID_T_MAX=3D2147483647 GID_T_OFLOW=3D2147483648 PID=
_T_MAX=3D2147483647 PID_T_OFLOW=3D2147483648 PID_T_MIN=3D-2147483648 PID_=
T_UFLOW=3D-2147483649 OFF_T_MAX=3D9223372036854775807 OFF_T_OFLOW=3D92233=
72036854775808 OFF_T_MIN=3D-9223372036854775808 OFF_T_UFLOW=3D-9223372036=
854775809 INTMAX_MAX=3D9223372036854775807 INTMAX_OFLOW=3D922337203685477=
5808 INTMAX_MIN=3D-9223372036854775808 INTMAX_UFLOW=3D-922337203685477580=
9 UINTMAX_MAX=3D18446744073709551615 UINTMAX_OFLOW=3D18446744073709551616=
 FLT_MIN=3D1.1754944e-38 FLT_MAX=3D3.4028235e+38 DBL_MIN=3D2.225073858507=
2014e-308 DBL_MAX=3D1.7976931348623157e+308 LDBL_MIN=3D3.3621031431120935=
063e-4932 LDBL_MAX=3D1.189731495357231765e+4932
++ CHAR_MAX=3D127
++ CHAR_OFLOW=3D128
++ CHAR_MIN=3D-128
++ CHAR_UFLOW=3D-129
++ SCHAR_MAX=3D127
++ SCHAR_OFLOW=3D128
++ SCHAR_MIN=3D-128
++ SCHAR_UFLOW=3D-129
++ UCHAR_MAX=3D255
++ UCHAR_OFLOW=3D256
++ SHRT_MAX=3D32767
++ SHRT_OFLOW=3D32768
++ SHRT_MIN=3D-32768
++ SHRT_UFLOW=3D-32769
++ INT_MAX=3D2147483647
++ INT_OFLOW=3D2147483648
++ INT_MIN=3D-2147483648
++ INT_UFLOW=3D-2147483649
++ UINT_MAX=3D4294967295
++ UINT_OFLOW=3D4294967296
++ LONG_MAX=3D9223372036854775807
++ LONG_OFLOW=3D9223372036854775808
++ LONG_MIN=3D-9223372036854775808
++ LONG_UFLOW=3D-9223372036854775809
++ ULONG_MAX=3D18446744073709551615
++ ULONG_OFLOW=3D18446744073709551616
++ SIZE_MAX=3D18446744073709551615
++ SIZE_OFLOW=3D18446744073709551616
++ SSIZE_MAX=3D9223372036854775807
++ SSIZE_OFLOW=3D9223372036854775808
++ SSIZE_MIN=3D-9223372036854775808
++ SSIZE_UFLOW=3D-9223372036854775809
++ TIME_T_MAX=3D9223372036854775807
++ TIME_T_OFLOW=3D9223372036854775808
++ TIME_T_MIN=3D-9223372036854775808
++ TIME_T_UFLOW=3D-9223372036854775809
++ UID_T_MAX=3D2147483647
++ UID_T_OFLOW=3D2147483648
++ GID_T_MAX=3D2147483647
++ GID_T_OFLOW=3D2147483648
++ PID_T_MAX=3D2147483647
++ PID_T_OFLOW=3D2147483648
++ PID_T_MIN=3D-2147483648
++ PID_T_UFLOW=3D-2147483649
++ OFF_T_MAX=3D9223372036854775807
++ OFF_T_OFLOW=3D9223372036854775808
++ OFF_T_MIN=3D-9223372036854775808
++ OFF_T_UFLOW=3D-9223372036854775809
++ INTMAX_MAX=3D9223372036854775807
++ INTMAX_OFLOW=3D9223372036854775808
++ INTMAX_MIN=3D-9223372036854775808
++ INTMAX_UFLOW=3D-9223372036854775809
++ UINTMAX_MAX=3D18446744073709551615
++ UINTMAX_OFLOW=3D18446744073709551616
++ FLT_MIN=3D1.1754944e-38
++ FLT_MAX=3D3.4028235e+38
++ DBL_MIN=3D2.2250738585072014e-308
++ DBL_MAX=3D1.7976931348623157e+308
++ LDBL_MIN=3D3.3621031431120935063e-4932
++ LDBL_MAX=3D1.189731495357231765e+4932
+ test 2147483647
+ cat
+ gcc -std=3Dgnu99 -c long.c
long.c:1:22: fatal error: features.h: No such file or directory
 #include <features.h>
                      ^
compilation terminated.
+ skip_ 'this test runs only on systems with glibc and long double !=3D d=
ouble'
+ warn_ 'seq-long-double.sh: skipped test: this test runs only on systems=
 with glibc and long double !=3D double'
+ case $IFS in
+ printf '%s\n' 'seq-long-double.sh: skipped test: this test runs only on=
 systems with glibc and long double !=3D double'
seq-long-double.sh: skipped test: this test runs only on systems with gli=
bc and long double !=3D double
+ test 9 =3D 2
+ printf '%s\n' 'seq-long-double.sh: skipped test: this test runs only on=
 systems with glibc and long double !=3D double'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-seq-long-double.sh.kAX4
+ exit 77
SKIP tests/misc/seq-long-double.sh (exit status: 77)

SKIP: tests/tail-2/tail-n0f
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-tail-n0f.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-tail-n0f.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
tail-n0f.sh.JonK'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
++ cd /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ require_proc_pid_status_
+ local pid=3D17509
+ sleep .5
+ sleep 2
+ grep '^State:[	 ]*[S]' /proc/17509/status
+ skip_ '/proc/17509/status: missing or '\''different'\'''
+ warn_ 'tail-n0f.sh: skipped test: /proc/17509/status: missing or '\''di=
fferent'\'''
+ case $IFS in
+ printf '%s\n' 'tail-n0f.sh: skipped test: /proc/17509/status: missing o=
r '\''different'\'''
tail-n0f.sh: skipped test: /proc/17509/status: missing or 'different'
+ test 9 =3D 2
+ printf '%s\n' 'tail-n0f.sh: skipped test: /proc/17509/status: missing o=
r '\''different'\'''
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-tail-n0f.sh.JonK
+ exit 77
SKIP tests/tail-2/tail-n0f.sh (exit status: 77)

SKIP: tests/misc/arch
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-arch.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-arch.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
+++ perms=3D'drwx------ 2 117 Jul 15 10:20 /tmp/64-bit/coreutils-8.24/gt-=
arch.sh.ru3z'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
++ cd /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ arch
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env arch --version
+ require_built_ arch
+ skip_=3Dno
+ for i in '"$@"'
+ case " $built_programs " in
+ echo 'arch: not built'
arch: not built
+ skip_=3Dyes
+ test yes =3D yes
+ skip_ 'required program(s) not built'
+ warn_ 'arch.sh: skipped test: required program(s) not built'
+ case $IFS in
+ printf '%s\n' 'arch.sh: skipped test: required program(s) not built'
arch.sh: skipped test: required program(s) not built
+ test 9 =3D 2
+ printf '%s\n' 'arch.sh: skipped test: required program(s) not built'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-arch.sh.ru3z
+ exit 77
SKIP tests/misc/arch.sh (exit status: 77)

SKIP: tests/misc/coreutils
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-coreutils.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-coreutils.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
coreutils.sh.5zEM'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
++ cd /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ coreutils
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env coreutils --version
env: coreutils: No such file or directory
+ test -s /tmp/64-bit/coreutils-8.24/src/coreutils.h
+ skip_ 'multicall binary is disabled'
+ warn_ 'coreutils.sh: skipped test: multicall binary is disabled'
+ case $IFS in
+ printf '%s\n' 'coreutils.sh: skipped test: multicall binary is disabled=
'
coreutils.sh: skipped test: multicall binary is disabled
+ test 9 =3D 2
+ printf '%s\n' 'coreutils.sh: skipped test: multicall binary is disabled=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-coreutils.sh.5zEM
+ exit 77
SKIP tests/misc/coreutils.sh (exit status: 77)

SKIP: tests/misc/wc-parallel
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-wc-parallel.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-wc-parallel.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
wc-parallel.sh.O5Xq'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
++ cd /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ wc
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env wc --version
wc (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin and David MacKenzie.
+ xargs -P2
+ skip_ 'xargs -P is required'
+ warn_ 'wc-parallel.sh: skipped test: xargs -P is required'
+ case $IFS in
+ printf '%s\n' 'wc-parallel.sh: skipped test: xargs -P is required'
wc-parallel.sh: skipped test: xargs -P is required
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'wc-parallel.sh: skipped test: xargs -P is required'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-wc-parallel.sh.O5Xq
+ exit 77
SKIP tests/misc/wc-parallel.sh (exit status: 77)

SKIP: tests/misc/cat-proc
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-cat-proc.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-cat-proc.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
cat-proc.sh.3pQV'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
++ cd /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cat
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cat --version
cat (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund and Richard M. Stallman.
+ f=3D/proc/cpuinfo
+ test -f /proc/cpuinfo
+ skip_ 'no /proc/cpuinfo'
+ warn_ 'cat-proc.sh: skipped test: no /proc/cpuinfo'
+ case $IFS in
+ printf '%s\n' 'cat-proc.sh: skipped test: no /proc/cpuinfo'
cat-proc.sh: skipped test: no /proc/cpuinfo
+ test 9 =3D 2
+ printf '%s\n' 'cat-proc.sh: skipped test: no /proc/cpuinfo'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-cat-proc.sh.3pQV
+ exit 77
SKIP tests/misc/cat-proc.sh (exit status: 77)

SKIP: tests/misc/head-write-error
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-head-write-error.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-head-write-error.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
head-write-error.sh.gKj9'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
++ cd /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ head
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env head --version
head (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ test -w /dev/full
+ skip_ '/dev/full is required'
+ warn_ 'head-write-error.sh: skipped test: /dev/full is required'
+ case $IFS in
+ printf '%s\n' 'head-write-error.sh: skipped test: /dev/full is required=
'
head-write-error.sh: skipped test: /dev/full is required
+ test 9 =3D 2
+ printf '%s\n' 'head-write-error.sh: skipped test: /dev/full is required=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-head-write-error.sh.gKj9
+ exit 77
SKIP tests/misc/head-write-error.sh (exit status: 77)

SKIP: tests/misc/md5sum-parallel
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-md5sum-parallel.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-md5sum-parallel.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
md5sum-parallel.sh.lxc8'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
++ cd /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ md5sum
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env md5sum --version
md5sum (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Ulrich Drepper, Scott Miller, and David Madore.
+ xargs -P2
+ skip_ 'xargs -P is required'
+ warn_ 'md5sum-parallel.sh: skipped test: xargs -P is required'
+ case $IFS in
+ printf '%s\n' 'md5sum-parallel.sh: skipped test: xargs -P is required'
md5sum-parallel.sh: skipped test: xargs -P is required
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'md5sum-parallel.sh: skipped test: xargs -P is required'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-md5sum-parallel.sh.lxc8
+ exit 77
SKIP tests/misc/md5sum-parallel.sh (exit status: 77)

SKIP: tests/misc/shuf-reservoir
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-shuf-reservoir.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-shuf-reservoir.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
shuf-reservoir.sh.KGrN'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
++ cd /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ shuf
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env shuf --version
shuf (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Eggert.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'shuf-reservoir.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'shuf-reservoir.sh: skipped test: expensive: disabled by =
default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
shuf-reservoir.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'shuf-reservoir.sh: skipped test: expensive: disabled by =
default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-shuf-reservoir.sh.KGrN
+ exit 77
SKIP tests/misc/shuf-reservoir.sh (exit status: 77)

SKIP: tests/misc/sort-benchmark-random
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-benchmark-random.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-benchmark-random.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-benchmark-random.sh.r0AE'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0A=
E
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'sort-benchmark-random.sh: skipped test: very expensive: disabled=
 by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'sort-benchmark-random.sh: skipped test: very expensive: =
disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
sort-benchmark-random.sh: skipped test: very expensive: disabled by defau=
lt
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'sort-benchmark-random.sh: skipped test: very expensive: =
disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r=
0AE
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-benchmark-random.sh.r0AE
+ exit 77
SKIP tests/misc/sort-benchmark-random.sh (exit status: 77)

SKIP: tests/misc/sort-compress-hang
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-compress-hang.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-compress-hang.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-compress-hang.sh.pYzD'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'sort-compress-hang.sh: skipped test: very expensive: disabled by=
 default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'sort-compress-hang.sh: skipped test: very expensive: dis=
abled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
sort-compress-hang.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'sort-compress-hang.sh: skipped test: very expensive: dis=
abled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-compress-hang.sh.pYzD
+ exit 77
SKIP tests/misc/sort-compress-hang.sh (exit status: 77)

SKIP: tests/misc/sort-compress-proc
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-compress-proc.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-compress-proc.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-compress-proc.sh.g0Ql'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'sort-compress-proc.sh: skipped test: expensive: disabled by defa=
ult
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'sort-compress-proc.sh: skipped test: expensive: disabled=
 by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
sort-compress-proc.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'sort-compress-proc.sh: skipped test: expensive: disabled=
 by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-compress-proc.sh.g0Ql
+ exit 77
SKIP tests/misc/sort-compress-proc.sh (exit status: 77)

SKIP: tests/misc/sort-month
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-month.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-month.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-month.sh.ACRG'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ locale --version
+ skip_ 'The locale utility is not present'
+ warn_ 'sort-month.sh: skipped test: The locale utility is not present'
+ case $IFS in
+ printf '%s\n' 'sort-month.sh: skipped test: The locale utility is not p=
resent'
sort-month.sh: skipped test: The locale utility is not present
+ test 9 =3D 2
+ printf '%s\n' 'sort-month.sh: skipped test: The locale utility is not p=
resent'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-month.sh.ACRG
+ exit 77
SKIP tests/misc/sort-month.sh (exit status: 77)

SKIP: tests/misc/sort-spinlock-abuse
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-spinlock-abuse.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-spinlock-abuse.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-spinlock-abuse.sh.T82q'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'sort-spinlock-abuse.sh: skipped test: very expensive: disabled b=
y default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'sort-spinlock-abuse.sh: skipped test: very expensive: di=
sabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
sort-spinlock-abuse.sh: skipped test: very expensive: disabled by default=

This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'sort-spinlock-abuse.sh: skipped test: very expensive: di=
sabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82=
q
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-spinlock-abuse.sh.T82q
+ exit 77
SKIP tests/misc/sort-spinlock-abuse.sh (exit status: 77)

SKIP: tests/misc/sort-stale-thread-mem
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-stale-thread-mem.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-stale-thread-mem.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-stale-thread-mem.sh.pMc2'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc=
2
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'sort-stale-thread-mem.sh: skipped test: very expensive: disabled=
 by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'sort-stale-thread-mem.sh: skipped test: very expensive: =
disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
sort-stale-thread-mem.sh: skipped test: very expensive: disabled by defau=
lt
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'sort-stale-thread-mem.sh: skipped test: very expensive: =
disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.p=
Mc2
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-stale-thread-mem.sh.pMc2
+ exit 77
SKIP tests/misc/sort-stale-thread-mem.sh (exit status: 77)

SKIP: tests/misc/sort-u-FMR
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sort-u-FMR.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sort-u-FMR.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
sort-u-FMR.sh.1zpc'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
++ cd /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sort
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sort --version
sort (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ require_valgrind_
+ valgrind --error-exitcode=3D1 true
+ skip_ 'requires a working valgrind'
+ warn_ 'sort-u-FMR.sh: skipped test: requires a working valgrind'
+ case $IFS in
+ printf '%s\n' 'sort-u-FMR.sh: skipped test: requires a working valgrind=
'
sort-u-FMR.sh: skipped test: requires a working valgrind
+ test 9 =3D 2
+ printf '%s\n' 'sort-u-FMR.sh: skipped test: requires a working valgrind=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sort-u-FMR.sh.1zpc
+ exit 77
SKIP tests/misc/sort-u-FMR.sh (exit status: 77)

SKIP: tests/split/filter
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-filter.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-filter.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
filter.sh.7R5z'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
++ cd /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ split
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env split --version
split (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund and Richard M. Stallman.
+ xz --version
=2E/tests/split/filter.sh: line 21: xz: command not found
+ skip_ 'xz (better than gzip/bzip2) required'
+ warn_ 'filter.sh: skipped test: xz (better than gzip/bzip2) required'
+ case $IFS in
+ printf '%s\n' 'filter.sh: skipped test: xz (better than gzip/bzip2) req=
uired'
filter.sh: skipped test: xz (better than gzip/bzip2) required
+ test 9 =3D 2
+ printf '%s\n' 'filter.sh: skipped test: xz (better than gzip/bzip2) req=
uired'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-filter.sh.7R5z
+ exit 77
SKIP tests/split/filter.sh (exit status: 77)

SKIP: tests/misc/stty-pairs
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-stty-pairs.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-stty-pairs.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
stty-pairs.sh.Kcg6'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
++ cd /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ stty
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env stty --version
stty (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'stty-pairs.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'stty-pairs.sh: skipped test: expensive: disabled by defa=
ult
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
stty-pairs.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'stty-pairs.sh: skipped test: expensive: disabled by defa=
ult
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-stty-pairs.sh.Kcg6
+ exit 77
SKIP tests/misc/stty-pairs.sh (exit status: 77)

SKIP: tests/misc/tac-continue
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-tac-continue.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-tac-continue.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
tac-continue.sh.W9T6'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
++ cd /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tac
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tac --version
tac (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jay Lepreau and David MacKenzie.
+ test x =3D x
+ skip_ 'FULL_PARTITION_TMPDIR not defined'
+ warn_ 'tac-continue.sh: skipped test: FULL_PARTITION_TMPDIR not defined=
'
+ case $IFS in
+ printf '%s\n' 'tac-continue.sh: skipped test: FULL_PARTITION_TMPDIR not=
 defined'
tac-continue.sh: skipped test: FULL_PARTITION_TMPDIR not defined
+ test 9 =3D 2
+ printf '%s\n' 'tac-continue.sh: skipped test: FULL_PARTITION_TMPDIR not=
 defined'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-tac-continue.sh.W9T6
+ exit 77
SKIP tests/misc/tac-continue.sh (exit status: 77)

SKIP: tests/misc/timeout-group
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-timeout-group.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-timeout-group.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
timeout-group.sh.jRMv'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
++ cd /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ timeout
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env timeout --version
timeout (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by P'adraig Brady.
+ setsid true
=2E/tests/misc/timeout-group.sh: line 31: setsid: command not found
+ skip_ 'setsid required to control groups'
+ warn_ 'timeout-group.sh: skipped test: setsid required to control group=
s'
+ case $IFS in
+ printf '%s\n' 'timeout-group.sh: skipped test: setsid required to contr=
ol groups'
timeout-group.sh: skipped test: setsid required to control groups
+ test 9 =3D 2
+ printf '%s\n' 'timeout-group.sh: skipped test: setsid required to contr=
ol groups'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-timeout-group.sh.jRMv
+ exit 77
SKIP tests/misc/timeout-group.sh (exit status: 77)

SKIP: tests/misc/xattr
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-xattr.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-xattr.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
+++ perms=3D'drwx------ 2 117 Jul 15 10:21 /tmp/64-bit/coreutils-8.24/gt-=
xattr.sh.Oa6x'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
++ cd /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp mv ginstall
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env ginstall --version
install (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ touch src dest
+ cp --preserve=3Dxattr -n src dest
cp: cannot preserve extended attributes, cp is built without xattr suppor=
t
+ skip_ 'coreutils built without xattr support'
+ warn_ 'xattr.sh: skipped test: coreutils built without xattr support'
+ case $IFS in
+ printf '%s\n' 'xattr.sh: skipped test: coreutils built without xattr su=
pport'
xattr.sh: skipped test: coreutils built without xattr support
+ test 9 =3D 2
+ printf '%s\n' 'xattr.sh: skipped test: coreutils built without xattr su=
pport'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-xattr.sh.Oa6x
+ exit 77
SKIP tests/misc/xattr.sh (exit status: 77)

SKIP: tests/cp/acl
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-acl.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-acl.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
acl.sh.bQjx'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
++ cd /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp getfacl setfacl
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env getfacl --version
getfacl: illegal option -- version
usage: getfacl [-ad] file ...=20
+ for i in '$*'
+ env setfacl --version
usage:
	setfacl [-r] -f aclfile file ...
	setfacl [-r] -d acl_entries file ...
	setfacl [-r] -m acl_entries file ...
	setfacl [-r] -s acl_entries file ...
+ require_acl_
+ getfacl --version
+ skip_ 'This test requires getfacl and setfacl.'
+ warn_ 'acl.sh: skipped test: This test requires getfacl and setfacl.'
+ case $IFS in
+ printf '%s\n' 'acl.sh: skipped test: This test requires getfacl and set=
facl.'
acl.sh: skipped test: This test requires getfacl and setfacl.
+ test 9 =3D 2
+ printf '%s\n' 'acl.sh: skipped test: This test requires getfacl and set=
facl.'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-acl.sh.bQjx
+ exit 77
SKIP tests/cp/acl.sh (exit status: 77)

FAIL: tests/cp/backup-dir
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-backup-dir.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-backup-dir.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
backup-dir.sh.bWhX'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
++ cd /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir x y
+ cp -a x y
cp: preserving permissions for 'y/x': Operation not applicable
+ fail=3D1
+ cp -ab x y
cp: preserving permissions for 'y/x': Operation not applicable
+ fail=3D1
+ test -d y/x
+ test -d y/x~
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-backup-dir.sh.bWhX
+ exit 1
FAIL tests/cp/backup-dir.sh (exit status: 1)

FAIL: tests/cp/cp-parents
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-cp-parents.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-cp-parents.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
cp-parents.sh.hw97'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
++ cd /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ working_umask_or_skip_
+ umask 022
+ touch file1 file2
+ chmod 644 file2
++ ls -l file1 file2
++ sed 's/ .*//'
++ uniq
+ perms=3D-rw-r--r--
+ rm -f file1 file2
+ case $perms in
+ skip_if_setgid_
+ setgid_tmpdir=3Dsetgid-19590
+ umask 77
+ mkdir setgid-19590
++ stat --printf %A setgid-19590
+ perms=3Ddrwx------
+ rmdir setgid-19590
+ case $perms in
+ mkdir foo bar
+ mkdir -p a/b/c d e g
+ ln -s d/a sym
+ touch f
+ cp -R --parents foo/ bar
+ cp --verbose -a --parents a/b/c d
+ fail=3D1
+ test -d d/a/b/c
+ returns_ 1 cp --parents f/g d
+ test -d d/f
+ chmod go=3Dw d/a
+ cp -a --parents d/a/b/c e
cp: preserving permissions for 'e/d/a/b/c': Operation not applicable
cp: preserving permissions for 'e/d/a/b': Operation not applicable
+ fail=3D1
+ cp -a --parents sym/b/c g
cp: preserving permissions for 'g/sym/b/c': Operation not applicable
cp: preserving permissions for 'g/sym/b': Operation not applicable
+ fail=3D1
++ cut -b-10
++ ls -ld e/d
+ p=3Ddrwx------
+ case $p in
+ fail=3D1
++ ls -ld e/d/a
++ cut -b-10
+ p=3Ddrwx------
+ case $p in
+ fail=3D1
++ cut -b-10
++ ls -ld g/sym
+ p=3Ddrwx------
+ case $p in
+ fail=3D1
++ ls -ld e/d/a/b/c
++ cut -b-10
+ p=3Ddrwxr-xr-x
+ case $p in
++ ls -ld g/sym/b/c
++ cut -b-10
+ p=3Ddrwxr-xr-x
+ case $p in
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-cp-parents.sh.hw97
+ exit 1
FAIL tests/cp/cp-parents.sh (exit status: 1)

FAIL: tests/cp/duplicate-sources
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-duplicate-sources.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-duplicate-sources.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
duplicate-sources.sh.22hw'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
++ cd /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir a
+ touch f
+ mkdir dest
+ cp -a a a f f dest
+ fail=3D1
+ rm -Rf dest
+ mkdir dest
+ ln -s a al
+ ln -s f fl
+ cp -aH a al f fl dest
+ fail=3D1
+ cat
+ compare exp err
+ compare_dev_null_ exp err
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xerr =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp err
+ diff -u exp err
+ cat diff.out
--- exp	Wed Jul 15 10:22:06 2015
+++ err	Wed Jul 15 10:22:06 2015
@@ -1,2 +1,5 @@
+cp: preserving permissions for 'dest/a': Operation not applicable
 cp: warning: source directory 'a' specified more than once
 cp: warning: source file 'f' specified more than once
+cp: preserving permissions for 'dest/a': Operation not applicable
+cp: preserving permissions for 'dest/al': Operation not applicable
+ rm -f diff.out
+ false
+ fail=3D1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-duplicate-sources.sh.22hw
+ exit 1
FAIL tests/cp/duplicate-sources.sh (exit status: 1)

SKIP: tests/cp/existing-perm-race
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-existing-perm-race.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-existing-perm-race.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
existing-perm-race.sh.axiq'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
++ cd /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_membership_in_two_groups_
+ test 0 =3D 0
+ groups=3D100
+ case "$groups" in
+ skip_ 'requires membership in two groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ warn_ 'existing-perm-race.sh: skipped test: requires membership in two =
groups
this test requires that you be a member of more than one group,
but running id' '-G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ case $IFS in
+ printf '%s\n' 'existing-perm-race.sh: skipped test: requires membership=
 in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
existing-perm-race.sh: skipped test: requires membership in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'users cdrom' make check


+ test 9 =3D 2
+ printf '%s\n' 'existing-perm-race.sh: skipped test: requires membership=
 in two groups
this test requires that you be a member of more than one group,
but running id -G\ either failed or found just one.  If you really
are a member of at least two groups, then rerun this test with
COREUTILS_GROUPS set in your environment to the space-separated list
of group names or numbers.  E.g.,

  env COREUTILS_GROUPS=3D'\''users cdrom'\'' make check

'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-existing-perm-race.sh.axiq
+ exit 77
SKIP tests/cp/existing-perm-race.sh (exit status: 77)

SKIP: tests/cp/fiemap-empty
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fiemap-empty.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fiemap-empty.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fiemap-empty.sh.7Ejp'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
++ cd /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ skip_ 'disabled for now'
+ warn_ 'fiemap-empty.sh: skipped test: disabled for now'
+ case $IFS in
+ printf '%s\n' 'fiemap-empty.sh: skipped test: disabled for now'
fiemap-empty.sh: skipped test: disabled for now
+ test 9 =3D 2
+ printf '%s\n' 'fiemap-empty.sh: skipped test: disabled for now'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fiemap-empty.sh.7Ejp
+ exit 77
SKIP tests/cp/fiemap-empty.sh (exit status: 77)

SKIP: tests/cp/fiemap-FMR
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fiemap-FMR.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fiemap-FMR.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fiemap-FMR.sh.jhwo'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
++ cd /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_valgrind_
+ valgrind --error-exitcode=3D1 true
+ skip_ 'requires a working valgrind'
+ warn_ 'fiemap-FMR.sh: skipped test: requires a working valgrind'
+ case $IFS in
+ printf '%s\n' 'fiemap-FMR.sh: skipped test: requires a working valgrind=
'
fiemap-FMR.sh: skipped test: requires a working valgrind
+ test 9 =3D 2
+ printf '%s\n' 'fiemap-FMR.sh: skipped test: requires a working valgrind=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fiemap-FMR.sh.jhwo
+ exit 77
SKIP tests/cp/fiemap-FMR.sh (exit status: 77)

SKIP: tests/cp/fiemap-perf
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fiemap-perf.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fiemap-perf.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fiemap-perf.sh.-ONQ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
++ cd /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ touch fiemap_chk
+ fiemap_capable_ fiemap_chk
+ python
+ python /tmp/64-bit/coreutils-8.24/tests/fiemap-capable fiemap_chk
+ skip_ 'this file system lacks FIEMAP support'
+ warn_ 'fiemap-perf.sh: skipped test: this file system lacks FIEMAP supp=
ort'
+ case $IFS in
+ printf '%s\n' 'fiemap-perf.sh: skipped test: this file system lacks FIE=
MAP support'
fiemap-perf.sh: skipped test: this file system lacks FIEMAP support
+ test 9 =3D 2
+ printf '%s\n' 'fiemap-perf.sh: skipped test: this file system lacks FIE=
MAP support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fiemap-perf.sh.SONQ
+ exit 77
SKIP tests/cp/fiemap-perf.sh (exit status: 77)

SKIP: tests/cp/fiemap-2
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fiemap-2.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fiemap-2.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fiemap-2.sh.Tk-4'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
++ cd /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ touch fiemap_chk
+ fiemap_capable_ fiemap_chk
+ python
+ python /tmp/64-bit/coreutils-8.24/tests/fiemap-capable fiemap_chk
+ skip_ 'this file system lacks FIEMAP support'
+ warn_ 'fiemap-2.sh: skipped test: this file system lacks FIEMAP support=
'
+ case $IFS in
+ printf '%s\n' 'fiemap-2.sh: skipped test: this file system lacks FIEMAP=
 support'
fiemap-2.sh: skipped test: this file system lacks FIEMAP support
+ test 9 =3D 2
+ printf '%s\n' 'fiemap-2.sh: skipped test: this file system lacks FIEMAP=
 support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fiemap-2.sh.TkS4
+ exit 77
SKIP tests/cp/fiemap-2.sh (exit status: 77)

SKIP: tests/cp/nfs-removal-race
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-nfs-removal-race.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-nfs-removal-race.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
nfs-removal-race.sh.wbY0'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
++ cd /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_gcc_shared_
+ gcc_shared_ - d.so -xc
+ local in=3D-
+ local out=3Dd.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 -xc - -o d.so -l=
dl
+ rm -f d.so
+ cat
+ gcc_shared_ k.c k.so
+ local in=3Dk.c
+ local out=3Dk.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 k.c -o k.so -ldl=

+ touch d2
+ echo xyz
+ LD_PRELOAD=3D:./k.so
+ cp src d
+ test -f preloaded
+ skip_ 'LD_PRELOAD was ineffective?'
+ warn_ 'nfs-removal-race.sh: skipped test: LD_PRELOAD was ineffective?'
+ case $IFS in
+ printf '%s\n' 'nfs-removal-race.sh: skipped test: LD_PRELOAD was ineffe=
ctive?'
nfs-removal-race.sh: skipped test: LD_PRELOAD was ineffective?
+ test 9 =3D 2
+ printf '%s\n' 'nfs-removal-race.sh: skipped test: LD_PRELOAD was ineffe=
ctive?'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-nfs-removal-race.sh.wbY0
+ exit 77
SKIP tests/cp/nfs-removal-race.sh (exit status: 77)

ERROR: tests/cp/parent-perm
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-parent-perm.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-parent-perm.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
parent-perm.sh.uiy3'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
++ cd /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ working_umask_or_skip_
+ umask 022
+ touch file1 file2
+ chmod 644 file2
++ ls -l file1 file2
++ sed 's/ .*//'
++ uniq
+ perms=3D-rw-r--r--
+ rm -f file1 file2
+ case $perms in
+ require_local_dir_
+ require_mount_list_
+ local 'mount_list_fail=3Dcannot read table of mounted file systems'
+ df --local
+ grep -F 'cannot read table of mounted file systems'
+ is_local_dir_ .
+ test 1 =3D 1
+ df --local .
+ mkdir -p a/b/c a/b/d e
+ touch a/b/c/foo a/b/d/foo
+ cp -p --parent a/b/c/foo e
cp: preserving permissions for 'e/a/b/c': Operation not applicable
+ framework_failure_
+ warn_ 'parent-perm.sh: set-up failure: '
+ case $IFS in
+ printf '%s\n' 'parent-perm.sh: set-up failure: '
parent-perm.sh: set-up failure:=20
+ test 9 =3D 2
+ printf '%s\n' 'parent-perm.sh: set-up failure: '
+ sed 1q
+ Exit 99
+ set +e
+ exit 99
+ exit 99
+ remove_tmp_
+ __st=3D99
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-parent-perm.sh.uiy3
+ exit 99
ERROR tests/cp/parent-perm.sh (exit status: 99)

FAIL: tests/cp/parent-perm-race
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-parent-perm-race.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-parent-perm-race.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
parent-perm-race.sh.MJiM'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
++ cd /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_local_dir_
+ require_mount_list_
+ local 'mount_list_fail=3Dcannot read table of mounted file systems'
+ df --local
+ grep -F 'cannot read table of mounted file systems'
+ is_local_dir_ .
+ test 1 =3D 1
+ df --local .
+ umask 002
+ mkdir mode ownership d
+ chmod g+s d
+ for attr in mode ownership
+ mkfifo_or_skip_ mode/fifo
+ test 1 =3D 1
+ mkfifo mode/fifo
+ cp --preserve=3Dmode -R --copy-contents --parents mode d
+ pid=3D22381
+ ls -ld d/mode
+ echo foo
cp: preserving permissions for 'd/mode/fifo': Operation not applicable
cp: preserving permissions for 'd/mode': Operation not applicable
++ cat d/mode.ls
+ ls_output=3D'drwxr-sr-x 2 software software 178 Jul 15 10:22 d/mode'
+ case $attr,$ls_output in
+ wait 22381
+ fail=3D1
+ for attr in mode ownership
+ mkfifo_or_skip_ ownership/fifo
+ test 1 =3D 1
+ mkfifo ownership/fifo
+ pid=3D22386
+ cp --preserve=3Downership -R --copy-contents --parents ownership d
+ ls -ld d/ownership
+ echo foo
++ cat d/ownership.ls
+ ls_output=3D'drwx--S--- 2 software software 178 Jul 15 10:22 d/ownershi=
p'
+ case $attr,$ls_output in
+ wait 22386
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ kill 22386
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-parent-perm-race.sh.MJiM
+ exit 1
FAIL tests/cp/parent-perm-race.sh (exit status: 1)

SKIP: tests/cp/perm
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-perm.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-perm.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
perm.sh.5yM1'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
++ cd /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 'perm.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 'perm.sh: skipped test: very expensive: disabled by defau=
lt
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
perm.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 'perm.sh: skipped test: very expensive: disabled by defau=
lt
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-perm.sh.5yM1
+ exit 77
SKIP tests/cp/perm.sh (exit status: 77)

FAIL: tests/cp/preserve-link
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-preserve-link.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-preserve-link.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
preserve-link.sh.jyzR'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
++ cd /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ create_source_tree
+ rm -Rf s
+ mkdir s
+ touch s/f
+ ln s/f s/linkm
+ ln s/f s/linke
+ ln s/f s/fileo
+ ln s/f s/fileu
+ for f in f linkm
+ create_target_tree f
+ f=3Df
+ rm -Rf t
+ mkdir -p t/s/
+ touch t/s/f
+ ln t/s/f t/s/linke
+ touch -d '-1 hour' t/s/fileo
+ touch -d '+1 hour' t/s/fileu
+ cp -au s t
cp: preserving permissions for 't/s': Operation not applicable
+ fail=3D1
+ same_inode t/s/f t/s/linkm
+ local u v
++ stat --format %i t/s/f
+ u=3D4112569029
++ stat --format %i t/s/linkm
+ v=3D4112569029
+ test 4112569029 =3D 4112569029
+ same_inode t/s/f t/s/linke
+ local u v
++ stat --format %i t/s/f
+ u=3D4112569029
++ stat --format %i t/s/linke
+ v=3D4112569029
+ test 4112569029 =3D 4112569029
+ same_inode t/s/f t/s/fileo
+ local u v
++ stat --format %i t/s/f
+ u=3D4112569029
++ stat --format %i t/s/fileo
+ v=3D4112569029
+ test 4112569029 =3D 4112569029
+ same_inode t/s/f t/s/fileu
+ local u v
++ stat --format %i t/s/f
+ u=3D4112569029
++ stat --format %i t/s/fileu
+ v=3D4112569029
+ test 4112569029 =3D 4112569029
+ for f in f linkm
+ create_target_tree linkm
+ f=3Dlinkm
+ rm -Rf t
+ mkdir -p t/s/
+ touch t/s/linkm
+ ln t/s/linkm t/s/linke
+ touch -d '-1 hour' t/s/fileo
+ touch -d '+1 hour' t/s/fileu
+ cp -au s t
cp: preserving permissions for 't/s': Operation not applicable
+ fail=3D1
+ same_inode t/s/f t/s/linkm
+ local u v
++ stat --format %i t/s/f
+ u=3D4032664400
++ stat --format %i t/s/linkm
+ v=3D4032664400
+ test 4032664400 =3D 4032664400
+ same_inode t/s/f t/s/linke
+ local u v
++ stat --format %i t/s/f
+ u=3D4032664400
++ stat --format %i t/s/linke
+ v=3D4032664400
+ test 4032664400 =3D 4032664400
+ same_inode t/s/f t/s/fileo
+ local u v
++ stat --format %i t/s/f
+ u=3D4032664400
++ stat --format %i t/s/fileo
+ v=3D4032664400
+ test 4032664400 =3D 4032664400
+ same_inode t/s/f t/s/fileu
+ local u v
++ stat --format %i t/s/f
+ u=3D4032664400
++ stat --format %i t/s/fileu
+ v=3D4032664400
+ test 4032664400 =3D 4032664400
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-preserve-link.sh.jyzR
+ exit 1
FAIL tests/cp/preserve-link.sh (exit status: 1)

SKIP: tests/cp/proc-short-read
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-proc-short-read.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-proc-short-read.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
proc-short-read.sh.ene1'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
++ cd /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ kall=3D/proc/kallsyms
+ test -r /proc/kallsyms
+ skip_ 'your system lacks /proc/kallsyms'
+ warn_ 'proc-short-read.sh: skipped test: your system lacks /proc/kallsy=
ms'
+ case $IFS in
+ printf '%s\n' 'proc-short-read.sh: skipped test: your system lacks /pro=
c/kallsyms'
proc-short-read.sh: skipped test: your system lacks /proc/kallsyms
+ test 9 =3D 2
+ printf '%s\n' 'proc-short-read.sh: skipped test: your system lacks /pro=
c/kallsyms'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-proc-short-read.sh.ene1
+ exit 77
SKIP tests/cp/proc-short-read.sh (exit status: 77)

FAIL: tests/cp/reflink-perm
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-reflink-perm.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-reflink-perm.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
reflink-perm.sh.RB4z'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
++ cd /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ ts=3D'2009-08-28 19:00'
+ touch -d '2009-08-28 19:00' file
+ test time_check -nt file
+ chmod a=3Drwx file
+ umask 077
+ cp --reflink=3Dauto --preserve file copy
cp: preserving permissions for 'copy': Operation not applicable
+ fail=3D1
++ stat --printf %A copy
+ mode=3D-rwxrwxrwx
+ test -rwxrwxrwx =3D -rwxrwxrwx
+ test copy -nt file
+ echo
+ cp --reflink=3Dauto --preserve --attributes-only file2 empty_copy
+ compare /dev/null empty_copy
+ compare_dev_null_ /dev/null empty_copy
+ test 2 =3D 2
+ test x/dev/null =3D x/dev/null
+ test -s empty_copy
+ return 0
+ return 0
+ cp --reflink=3Dalways --preserve --attributes-only file2 empty_copy
+ compare /dev/null empty_copy
+ compare_dev_null_ /dev/null empty_copy
+ test 2 =3D 2
+ test x/dev/null =3D x/dev/null
+ test -s empty_copy
+ return 0
+ return 0
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-reflink-perm.sh.RB4z
+ exit 1
FAIL tests/cp/reflink-perm.sh (exit status: 1)

SKIP: tests/cp/sparse
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sparse.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sparse.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
sparse.sh.WEBc'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
++ cd /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_sparse_support_
+ test 0 =3D 0
+ t=3Dsparse.25516
+ dd bs=3D1 seek=3D128K of=3Dsparse.25516
++ du -sk sparse.25516
+ set x 128 sparse.25516
+ kb_size=3D128
+ rm -f sparse.25516
+ test 128 -ge 128
+ skip_ 'this file system does not support sparse files'
+ warn_ 'sparse.sh: skipped test: this file system does not support spars=
e files'
+ case $IFS in
+ printf '%s\n' 'sparse.sh: skipped test: this file system does not suppo=
rt sparse files'
sparse.sh: skipped test: this file system does not support sparse files
+ test 9 =3D 2
+ printf '%s\n' 'sparse.sh: skipped test: this file system does not suppo=
rt sparse files'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sparse.sh.WEBc
+ exit 77
SKIP tests/cp/sparse.sh (exit status: 77)

SKIP: tests/cp/sparse-to-pipe
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sparse-to-pipe.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sparse-to-pipe.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
sparse-to-pipe.sh.UM-x'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
++ cd /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_sparse_support_
+ test 0 =3D 0
+ t=3Dsparse.25652
+ dd bs=3D1 seek=3D128K of=3Dsparse.25652
++ du -sk sparse.25652
+ set x 128 sparse.25652
+ kb_size=3D128
+ rm -f sparse.25652
+ test 128 -ge 128
+ skip_ 'this file system does not support sparse files'
+ warn_ 'sparse-to-pipe.sh: skipped test: this file system does not suppo=
rt sparse files'
+ case $IFS in
+ printf '%s\n' 'sparse-to-pipe.sh: skipped test: this file system does n=
ot support sparse files'
sparse-to-pipe.sh: skipped test: this file system does not support sparse=
 files
+ test 9 =3D 2
+ printf '%s\n' 'sparse-to-pipe.sh: skipped test: this file system does n=
ot support sparse files'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sparse-to-pipe.sh.UMSx
+ exit 77
SKIP tests/cp/sparse-to-pipe.sh (exit status: 77)

FAIL: tests/cp/src-base-dot
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-src-base-dot.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-src-base-dot.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
src-base-dot.sh.XaAh'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
++ cd /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir x y
+ cd y
+ cp --verbose -ab ../x/. .
+ fail=3D1
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat diff.out
--- exp	Wed Jul 15 10:22:14 2015
+++ out	Wed Jul 15 10:22:14 2015
@@ -1,0 +1,1 @@
+cp: preserving permissions for './.': Operation not applicable
+ rm -f diff.out
+ false
+ fail=3D1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-src-base-dot.sh.XaAh
+ exit 1
FAIL tests/cp/src-base-dot.sh (exit status: 1)

SKIP: tests/df/df-symlink
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-df-symlink.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-df-symlink.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
df-symlink.sh.bg5c'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
++ cd /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
++ df --out=3Dsource .
++ tail -n1
+ disk=3Dswap
+ ln -s swap symlink
+ df --out=3Dsource,target swap
df: 'swap': No such file or directory
+ skip_ 'cannot get info for swap'
+ warn_ 'df-symlink.sh: skipped test: cannot get info for swap'
+ case $IFS in
+ printf '%s\n' 'df-symlink.sh: skipped test: cannot get info for swap'
df-symlink.sh: skipped test: cannot get info for swap
+ test 9 =3D 2
+ printf '%s\n' 'df-symlink.sh: skipped test: cannot get info for swap'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-df-symlink.sh.bg5c
+ exit 77
SKIP tests/df/df-symlink.sh (exit status: 77)

SKIP: tests/df/no-mtab-status
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-mtab-status.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-mtab-status.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
no-mtab-status.sh.iOh2'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
++ cd /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
+ require_gcc_shared_
+ gcc_shared_ - d.so -xc
+ local in=3D-
+ local out=3Dd.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 -xc - -o d.so -l=
dl
+ rm -f d.so
+ timeout 10 df
Filesystem                            1K-blocks      Used Available Use% =
Mounted on
rpool/ROOT/s10u11                      99807878   4399437  95408441   5% =
/
swap                                    9112088       984   9111104   1% =
/etc/svc/volatile
rpool/ROOT/s10u11/var                  95631434    222993  95408441   1% =
/var
swap                                    9243264    132160   9111104   2% =
/tmp
swap                                    9111144        40   9111104   1% =
/var/run
rpool/export                           95408473        32  95408441   1% =
/export
rpool/export/home                      95412377      3936  95408441   1% =
/export/home
rpool/pkgs                             95408533        93  95408441   1% =
/pkgs
rpool/pkgs/32-bit                      95408473        32  95408441   1% =
/pkgs/32-bit
rpool/pkgs/32-bit/release              95408473        32  95408441   1% =
/pkgs/32-bit/release
rpool/pkgs/32-bit/release/ARCHIVE      95408472        31  95408441   1% =
/pkgs/32-bit/release/ARCHIVE
rpool/pkgs/64-bit                      95408980       539  95408441   1% =
/pkgs/64-bit
rpool/pkgs/64-bit/release             101926657   6518216  95408441   7% =
/pkgs/64-bit/release
rpool/pkgs/64-bit/release/ARCHIVE     101483361   6074920  95408441   6% =
/pkgs/64-bit/release/ARCHIVE
rpool/pkgs/release                     95413615      5174  95408441   1% =
/pkgs/release
rpool/pkgs/release/ARCHIVE             95408472        31  95408441   1% =
/pkgs/release/ARCHIVE
rpool                                  95408483        43  95408441   1% =
/rpool
fileserver:/archive/floss              97858263  45378205  52480058  47% =
/net/fileserver/archive/floss
fileserver:/archive/fabrico-artifacts 194388501 141908443  52480058  74% =
/net/fileserver/archive/fabrico-artifacts
+ grep '^#define HAVE_MNTENT_H 1' /tmp/64-bit/coreutils-8.24/lib/config.h=

+ skip_ 'no mntent.h available to confirm the interface'
+ warn_ 'no-mtab-status.sh: skipped test: no mntent.h available to confir=
m the interface'
+ case $IFS in
+ printf '%s\n' 'no-mtab-status.sh: skipped test: no mntent.h available t=
o confirm the interface'
no-mtab-status.sh: skipped test: no mntent.h available to confirm the int=
erface
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'no-mtab-status.sh: skipped test: no mntent.h available t=
o confirm the interface'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-mtab-status.sh.iOh2
+ exit 77
SKIP tests/df/no-mtab-status.sh (exit status: 77)

SKIP: tests/df/skip-duplicates
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-skip-duplicates.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-skip-duplicates.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
skip-duplicates.sh.s0KY'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
++ cd /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
+ require_gcc_shared_
+ gcc_shared_ - d.so -xc
+ local in=3D-
+ local out=3Dd.so
+ shift 2
+ gcc -std=3Dgnu99 -Wall -shared --std=3Dgnu99 -fPIC -O2 -xc - -o d.so -l=
dl
+ rm -f d.so
+ df --local
Filesystem                        1K-blocks    Used Available Use% Mounte=
d on
rpool/ROOT/s10u11                  99807878 4399437  95408441   5% /
swap                                9112036     984   9111052   1% /etc/s=
vc/volatile
rpool/ROOT/s10u11/var              95631434  222993  95408441   1% /var
swap                                9243224  132172   9111052   2% /tmp
swap                                9111076      40   9111036   1% /var/r=
un
rpool/export                       95408473      32  95408441   1% /expor=
t
rpool/export/home                  95412377    3936  95408441   1% /expor=
t/home
rpool/pkgs                         95408533      93  95408441   1% /pkgs
rpool/pkgs/32-bit                  95408473      32  95408441   1% /pkgs/=
32-bit
rpool/pkgs/32-bit/release          95408473      32  95408441   1% /pkgs/=
32-bit/release
rpool/pkgs/32-bit/release/ARCHIVE  95408472      31  95408441   1% /pkgs/=
32-bit/release/ARCHIVE
rpool/pkgs/64-bit                  95408980     539  95408441   1% /pkgs/=
64-bit
rpool/pkgs/64-bit/release         101926657 6518216  95408441   7% /pkgs/=
64-bit/release
rpool/pkgs/64-bit/release/ARCHIVE 101483361 6074920  95408441   6% /pkgs/=
64-bit/release/ARCHIVE
rpool/pkgs/release                 95413615    5174  95408441   1% /pkgs/=
release
rpool/pkgs/release/ARCHIVE         95408472      31  95408441   1% /pkgs/=
release/ARCHIVE
rpool                              95408483      43  95408441   1% /rpool=

++ df --local --output=3Dtarget
++ grep /.
++ head -n1
+ export CU_NONROOT_FS=3D/etc/svc/volatile
+ CU_NONROOT_FS=3D/etc/svc/volatile
++ df --local --output=3Dtarget
++ grep /.
++ tail -n+2
++ head -n1
+ export CU_REMOTE_FS=3D/var
+ CU_REMOTE_FS=3D/var
+ unique_entries=3D1
+ test -z /etc/svc/volatile
++ expr 1 + 1
+ unique_entries=3D2
+ test -z /var
++ expr 2 + 2
+ unique_entries=3D4
+ grep '^#define HAVE_MNTENT_H 1' /tmp/64-bit/coreutils-8.24/lib/config.h=

+ skip_ 'no mntent.h available to confirm the interface'
+ warn_ 'skip-duplicates.sh: skipped test: no mntent.h available to confi=
rm the interface'
+ case $IFS in
+ printf '%s\n' 'skip-duplicates.sh: skipped test: no mntent.h available =
to confirm the interface'
skip-duplicates.sh: skipped test: no mntent.h available to confirm the in=
terface
+ test 9 =3D 2
+ printf '%s\n' 'skip-duplicates.sh: skipped test: no mntent.h available =
to confirm the interface'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-skip-duplicates.sh.s0KY
+ exit 77
SKIP tests/df/skip-duplicates.sh (exit status: 77)

SKIP: tests/df/skip-rootfs
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-skip-rootfs.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-skip-rootfs.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
skip-rootfs.sh.O59C'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
++ cd /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
+ timeout 10 df
Filesystem                            1K-blocks      Used Available Use% =
Mounted on
rpool/ROOT/s10u11                      99807878   4399437  95408441   5% =
/
swap                                    9111492       984   9110508   1% =
/etc/svc/volatile
rpool/ROOT/s10u11/var                  95631434    222993  95408441   1% =
/var
swap                                    9242692    132184   9110508   2% =
/tmp
swap                                    9110548        40   9110508   1% =
/var/run
rpool/export                           95408473        32  95408441   1% =
/export
rpool/export/home                      95412377      3936  95408441   1% =
/export/home
rpool/pkgs                             95408533        93  95408441   1% =
/pkgs
rpool/pkgs/32-bit                      95408473        32  95408441   1% =
/pkgs/32-bit
rpool/pkgs/32-bit/release              95408473        32  95408441   1% =
/pkgs/32-bit/release
rpool/pkgs/32-bit/release/ARCHIVE      95408472        31  95408441   1% =
/pkgs/32-bit/release/ARCHIVE
rpool/pkgs/64-bit                      95408980       539  95408441   1% =
/pkgs/64-bit
rpool/pkgs/64-bit/release             101926657   6518216  95408441   7% =
/pkgs/64-bit/release
rpool/pkgs/64-bit/release/ARCHIVE     101483361   6074920  95408441   6% =
/pkgs/64-bit/release/ARCHIVE
rpool/pkgs/release                     95413615      5174  95408441   1% =
/pkgs/release
rpool/pkgs/release/ARCHIVE             95408472        31  95408441   1% =
/pkgs/release/ARCHIVE
rpool                                  95408483        43  95408441   1% =
/rpool
fileserver:/archive/floss              97858260  45378205  52480055  47% =
/net/fileserver/archive/floss
fileserver:/archive/fabrico-artifacts 194388498 141908443  52480055  74% =
/net/fileserver/archive/fabrico-artifacts
+ df -a
+ grep '^rootfs' out
+ skip_ 'no rootfs in mtab'
+ warn_ 'skip-rootfs.sh: skipped test: no rootfs in mtab'
+ case $IFS in
+ printf '%s\n' 'skip-rootfs.sh: skipped test: no rootfs in mtab'
skip-rootfs.sh: skipped test: no rootfs in mtab
+ test 9 =3D 2
+ printf '%s\n' 'skip-rootfs.sh: skipped test: no rootfs in mtab'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-skip-rootfs.sh.O59C
+ exit 77
SKIP tests/df/skip-rootfs.sh (exit status: 77)

SKIP: tests/dd/direct
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-direct.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-direct.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
direct.sh.iBD-'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
++ cd /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ dd
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env dd --version
dd (coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ truncate -s 8192 in
+ dd if=3Din oflag=3Ddirect of=3Dout
+ skip_ 'this file system lacks support for O_DIRECT'
+ warn_ 'direct.sh: skipped test: this file system lacks support for O_DI=
RECT'
+ case $IFS in
+ printf '%s\n' 'direct.sh: skipped test: this file system lacks support =
for O_DIRECT'
direct.sh: skipped test: this file system lacks support for O_DIRECT
+ test 9 =3D 2
+ printf '%s\n' 'direct.sh: skipped test: this file system lacks support =
for O_DIRECT'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-direct.sh.iBDS
+ exit 77
SKIP tests/dd/direct.sh (exit status: 77)

SKIP: tests/dd/skip-seek-past-file
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-skip-seek-past-file.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-skip-seek-past-file.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
skip-seek-past-file.sh.1biM'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
++ cd /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ dd
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env dd --version
dd (coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ require_sparse_support_
+ test 0 =3D 0
+ t=3Dsparse.28419
+ dd bs=3D1 seek=3D128K of=3Dsparse.28419
++ du -sk sparse.28419
+ set x 128 sparse.28419
+ kb_size=3D128
+ rm -f sparse.28419
+ test 128 -ge 128
+ skip_ 'this file system does not support sparse files'
+ warn_ 'skip-seek-past-file.sh: skipped test: this file system does not =
support sparse files'
+ case $IFS in
+ printf '%s\n' 'skip-seek-past-file.sh: skipped test: this file system d=
oes not support sparse files'
skip-seek-past-file.sh: skipped test: this file system does not support s=
parse files
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'skip-seek-past-file.sh: skipped test: this file system d=
oes not support sparse files'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1bi=
M
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-file.sh.1biM
+ exit 77
SKIP tests/dd/skip-seek-past-file.sh (exit status: 77)

SKIP: tests/dd/sparse
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sparse.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sparse.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
sparse.sh.3prd'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
++ cd /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ dd
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env dd --version
dd (coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ is_local_dir_ .
+ test 1 =3D 1
+ df --local .
+ require_sparse_support_
+ test 0 =3D 0
+ t=3Dsparse.28527
+ dd bs=3D1 seek=3D128K of=3Dsparse.28527
++ du -sk sparse.28527
+ set x 128 sparse.28527
+ kb_size=3D128
+ rm -f sparse.28527
+ test 128 -ge 128
+ skip_ 'this file system does not support sparse files'
+ warn_ 'sparse.sh: skipped test: this file system does not support spars=
e files'
+ case $IFS in
+ printf '%s\n' 'sparse.sh: skipped test: this file system does not suppo=
rt sparse files'
sparse.sh: skipped test: this file system does not support sparse files
+ test 9 =3D 2
+ printf '%s\n' 'sparse.sh: skipped test: this file system does not suppo=
rt sparse files'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sparse.sh.3prd
+ exit 77
SKIP tests/dd/sparse.sh (exit status: 77)

SKIP: tests/du/2g
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-2g.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-2g.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
2g.sh.z6Pn'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
++ cd /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ '2g.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' '2g.sh: skipped test: very expensive: disabled by default=

This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
2g.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' '2g.sh: skipped test: very expensive: disabled by default=

This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-2g.sh.z6Pn
+ exit 77
SKIP tests/du/2g.sh (exit status: 77)

SKIP: tests/du/8gb
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-8gb.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-8gb.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
8gb.sh.pTNq'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
++ cd /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ require_sparse_support_
+ test 0 =3D 0
+ t=3Dsparse.29531
+ dd bs=3D1 seek=3D128K of=3Dsparse.29531
++ du -sk sparse.29531
+ set x 128 sparse.29531
+ kb_size=3D128
+ rm -f sparse.29531
+ test 128 -ge 128
+ skip_ 'this file system does not support sparse files'
+ warn_ '8gb.sh: skipped test: this file system does not support sparse f=
iles'
+ case $IFS in
+ printf '%s\n' '8gb.sh: skipped test: this file system does not support =
sparse files'
8gb.sh: skipped test: this file system does not support sparse files
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' '8gb.sh: skipped test: this file system does not support =
sparse files'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-8gb.sh.pTNq
+ exit 77
SKIP tests/du/8gb.sh (exit status: 77)

SKIP: tests/du/fd-leak
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fd-leak.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fd-leak.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fd-leak.sh.N0c2'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
++ cd /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'fd-leak.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'fd-leak.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
fd-leak.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'fd-leak.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fd-leak.sh.N0c2
+ exit 77
SKIP tests/du/fd-leak.sh (exit status: 77)

SKIP: tests/du/move-dir-while-traversing
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-move-dir-while-traversing.sh.X=
XXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-move-dir-while-traversing.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.jKRb
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.jK=
Rb
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.j=
KRb
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
move-dir-while-traversing.sh.jKRb'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.jKRb
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh=
=2EjKRb
++ cd /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.jKRb
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ python -m pyinotify -h
/usr/bin/python: No module named pyinotify
+ skip_ 'python inotify package not installed'
+ warn_ 'move-dir-while-traversing.sh: skipped test: python inotify packa=
ge not installed'
+ case $IFS in
+ printf '%s\n' 'move-dir-while-traversing.sh: skipped test: python inoti=
fy package not installed'
move-dir-while-traversing.sh: skipped test: python inotify package not in=
stalled
+ test 9 =3D 2
+ printf '%s\n' 'move-dir-while-traversing.sh: skipped test: python inoti=
fy package not installed'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.=
sh.jKRb
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-move-dir-while-traversing.sh.jKRb
+ exit 77
SKIP tests/du/move-dir-while-traversing.sh (exit status: 77)

SKIP: tests/id/gnu-zero-uids
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-gnu-zero-uids.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-gnu-zero-uids.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
gnu-zero-uids.sh.WXYD'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
++ cd /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_gnu_
++ uname
+ test SunOS =3D GNU
+ skip_ 'not running on GNU/Hurd'
+ warn_ 'gnu-zero-uids.sh: skipped test: not running on GNU/Hurd'
+ case $IFS in
+ printf '%s\n' 'gnu-zero-uids.sh: skipped test: not running on GNU/Hurd'=

gnu-zero-uids.sh: skipped test: not running on GNU/Hurd
+ test 9 =3D 2
+ printf '%s\n' 'gnu-zero-uids.sh: skipped test: not running on GNU/Hurd'=

+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-gnu-zero-uids.sh.WXYD
+ exit 77
SKIP tests/id/gnu-zero-uids.sh (exit status: 77)

SKIP: tests/id/no-context
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-context.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-context.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
no-context.sh.PfUl'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
++ cd /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'no-context.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'no-context.sh: skipped test: this system lacks SELinux s=
upport'
no-context.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ printf '%s\n' 'no-context.sh: skipped test: this system lacks SELinux s=
upport'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-context.sh.PfUl
+ exit 77
SKIP tests/id/no-context.sh (exit status: 77)

SKIP: tests/id/context
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-context.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-context.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
context.sh.MN7u'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
++ cd /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'context.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'context.sh: skipped test: this system lacks SELinux supp=
ort'
context.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'context.sh: skipped test: this system lacks SELinux supp=
ort'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-context.sh.MN7u
+ exit 77
SKIP tests/id/context.sh (exit status: 77)

SKIP: tests/id/setgid
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-setgid.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-setgid.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
setgid.sh.2qvJ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++ cd /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'setgid.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'setgid.sh: skipped test: must be run as root'
setgid.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'setgid.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+ exit 77
SKIP tests/id/setgid.sh (exit status: 77)

SKIP: tests/id/smack
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-smack.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-smack.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
smack.sh.5Agz'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
++ cd /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_smack_
+ grep 'smackfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SMACK support'
+ warn_ 'smack.sh: skipped test: this system lacks SMACK support'
+ case $IFS in
+ printf '%s\n' 'smack.sh: skipped test: this system lacks SMACK support'=

smack.sh: skipped test: this system lacks SMACK support
+ test 9 =3D 2
+ printf '%s\n' 'smack.sh: skipped test: this system lacks SMACK support'=

+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-smack.sh.5Agz
+ exit 77
SKIP tests/id/smack.sh (exit status: 77)

SKIP: tests/install/install-C-selinux
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-install-C-selinux.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-install-C-selinux.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
install-C-selinux.sh.gJLw'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
++ cd /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ginstall
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ginstall --version
install (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'install-C-selinux.sh: skipped test: this system lacks SELinux su=
pport'
+ case $IFS in
+ printf '%s\n' 'install-C-selinux.sh: skipped test: this system lacks SE=
Linux support'
install-C-selinux.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ printf '%s\n' 'install-C-selinux.sh: skipped test: this system lacks SE=
Linux support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-install-C-selinux.sh.gJLw
+ exit 77
SKIP tests/install/install-C-selinux.sh (exit status: 77)

SKIP: tests/ls/no-cap
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-cap.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-cap.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
no-cap.sh.iKgi'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
++ cd /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_strace_ capget
+ test 1 =3D 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'no-cap.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'no-cap.sh: skipped test: no strace program'
no-cap.sh: skipped test: no strace program
+ test 9 =3D 2
+ printf '%s\n' 'no-cap.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-cap.sh.iKgi
+ exit 77
SKIP tests/ls/no-cap.sh (exit status: 77)

SKIP: tests/ls/slink-acl
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-slink-acl.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-slink-acl.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
slink-acl.sh.coOI'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
++ cd /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_setfacl_
+ local d=3Dacltestdir_
+ mkdir acltestdir_
+ local f=3D0
+ setfacl -d -m user::r-x acltestdir_
user::r-x: failed to get acl count
get acl count error: No such file or directory
+ f=3D1
+ rm -rf acltestdir_
+ test 1 =3D 0
+ skip_ 'setfacl does not work on the current file system'
+ warn_ 'slink-acl.sh: skipped test: setfacl does not work on the current=
 file system'
+ case $IFS in
+ printf '%s\n' 'slink-acl.sh: skipped test: setfacl does not work on the=
 current file system'
slink-acl.sh: skipped test: setfacl does not work on the current file sys=
tem
+ test 9 =3D 2
+ printf '%s\n' 'slink-acl.sh: skipped test: setfacl does not work on the=
 current file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-slink-acl.sh.coOI
+ exit 77
SKIP tests/ls/slink-acl.sh (exit status: 77)

SKIP: tests/ls/stat-dtype
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-stat-dtype.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-stat-dtype.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
stat-dtype.sh.Wbjg'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
++ cd /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ mkdir -p c/d
+ chmod a-x c
++ ls -p c
+ test 'Xls: cannot access c/d: Permission denied
d' '!=3D' Xd/
+ skip_ ''\''.'\'' is not on a suitable file system for this test'
+ warn_ 'stat-dtype.sh: skipped test: '\''.'\'' is not on a suitable file=
 system for this test'
+ case $IFS in
+ printf '%s\n' 'stat-dtype.sh: skipped test: '\''.'\'' is not on a suita=
ble file system for this test'
stat-dtype.sh: skipped test: '.' is not on a suitable file system for thi=
s test
+ test 9 =3D 2
+ printf '%s\n' 'stat-dtype.sh: skipped test: '\''.'\'' is not on a suita=
ble file system for this test'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-stat-dtype.sh.Wbjg
+ exit 77
SKIP tests/ls/stat-dtype.sh (exit status: 77)

SKIP: tests/ls/stat-free-color
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-stat-free-color.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-stat-free-color.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
stat-free-color.sh.cDhU'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
++ cd /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ stats=3Dstat,lstat,stat64,lstat64,newfstatat
+ require_strace_ stat,lstat,stat64,lstat64,newfstatat
+ test 1 =3D 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'stat-free-color.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'stat-free-color.sh: skipped test: no strace program'
stat-free-color.sh: skipped test: no strace program
+ test 9 =3D 2
+ printf '%s\n' 'stat-free-color.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-stat-free-color.sh.cDhU
+ exit 77
SKIP tests/ls/stat-free-color.sh (exit status: 77)

SKIP: tests/ls/stat-free-symlinks
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-stat-free-symlinks.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-stat-free-symlinks.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
stat-free-symlinks.sh.LVzH'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
++ cd /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_strace_ stat
+ test 1 =3D 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'stat-free-symlinks.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'stat-free-symlinks.sh: skipped test: no strace program'
stat-free-symlinks.sh: skipped test: no strace program
+ test 9 =3D 2
+ printf '%s\n' 'stat-free-symlinks.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-stat-free-symlinks.sh.LVzH
+ exit 77
SKIP tests/ls/stat-free-symlinks.sh (exit status: 77)

SKIP: tests/mkdir/p-acl
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-p-acl.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-p-acl.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
p-acl.sh.RVuV'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
++ cd /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_setfacl_
+ local d=3Dacltestdir_
+ mkdir acltestdir_
+ local f=3D0
+ setfacl -d -m user::r-x acltestdir_
user::r-x: failed to get acl count
get acl count error: No such file or directory
+ f=3D1
+ rm -rf acltestdir_
+ test 1 =3D 0
+ skip_ 'setfacl does not work on the current file system'
+ warn_ 'p-acl.sh: skipped test: setfacl does not work on the current fil=
e system'
+ case $IFS in
+ printf '%s\n' 'p-acl.sh: skipped test: setfacl does not work on the cur=
rent file system'
p-acl.sh: skipped test: setfacl does not work on the current file system
+ test 9 =3D 2
+ printf '%s\n' 'p-acl.sh: skipped test: setfacl does not work on the cur=
rent file system'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-p-acl.sh.RVuV
+ exit 77
SKIP tests/mkdir/p-acl.sh (exit status: 77)

SKIP: tests/mkdir/selinux
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-selinux.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-selinux.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
selinux.sh.KuZx'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
++ cd /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir mkfifo mknod
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mkfifo --version
mkfifo (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mknod --version
mknod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_selinux_enforcing_
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'selinux.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'selinux.sh: skipped test: this system lacks SELinux supp=
ort'
selinux.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ printf '%s\n' 'selinux.sh: skipped test: this system lacks SELinux supp=
ort'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-selinux.sh.KuZx
+ exit 77
SKIP tests/mkdir/selinux.sh (exit status: 77)

SKIP: tests/mkdir/restorecon
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-restorecon.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-restorecon.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
restorecon.sh.94pD'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
++ cd /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir mknod mkfifo
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mknod --version
mknod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mkfifo --version
mkfifo (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_selinux_
+ grep 'selinuxfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SELinux support'
+ warn_ 'restorecon.sh: skipped test: this system lacks SELinux support'
+ case $IFS in
+ printf '%s\n' 'restorecon.sh: skipped test: this system lacks SELinux s=
upport'
restorecon.sh: skipped test: this system lacks SELinux support
+ test 9 =3D 2
+ printf '%s\n' 'restorecon.sh: skipped test: this system lacks SELinux s=
upport'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-restorecon.sh.94pD
+ exit 77
SKIP tests/mkdir/restorecon.sh (exit status: 77)

SKIP: tests/mkdir/smack-no-root
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-smack-no-root.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-smack-no-root.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
smack-no-root.sh.1CPO'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
++ cd /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir mkfifo mknod
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mkfifo --version
mkfifo (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mknod --version
mknod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_smack_
+ grep 'smackfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SMACK support'
+ warn_ 'smack-no-root.sh: skipped test: this system lacks SMACK support'=

+ case $IFS in
+ printf '%s\n' 'smack-no-root.sh: skipped test: this system lacks SMACK =
support'
smack-no-root.sh: skipped test: this system lacks SMACK support
+ test 9 =3D 2
+ printf '%s\n' 'smack-no-root.sh: skipped test: this system lacks SMACK =
support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-smack-no-root.sh.1CPO
+ exit 77
SKIP tests/mkdir/smack-no-root.sh (exit status: 77)

SKIP: tests/mkdir/smack-root
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-smack-root.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-smack-root.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
smack-root.sh.CImx'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++ cd /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir mkfifo mknod
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mkfifo --version
mkfifo (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mknod --version
mknod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_smack_
+ grep 'smackfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SMACK support'
+ warn_ 'smack-root.sh: skipped test: this system lacks SMACK support'
+ case $IFS in
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK sup=
port'
smack-root.sh: skipped test: this system lacks SMACK support
+ test 9 =3D 2
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK sup=
port'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+ exit 77
SKIP tests/mkdir/smack-root.sh (exit status: 77)

SKIP: tests/mv/acl
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-acl.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-acl.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
acl.sh.RGoZ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
++ cd /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv getfacl setfacl
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env getfacl --version
getfacl: illegal option -- version
usage: getfacl [-ad] file ...=20
+ for i in '$*'
+ env setfacl --version
usage:
	setfacl [-r] -f aclfile file ...
	setfacl [-r] -d acl_entries file ...
	setfacl [-r] -m acl_entries file ...
	setfacl [-r] -s acl_entries file ...
+ require_acl_
+ getfacl --version
+ skip_ 'This test requires getfacl and setfacl.'
+ warn_ 'acl.sh: skipped test: This test requires getfacl and setfacl.'
+ case $IFS in
+ printf '%s\n' 'acl.sh: skipped test: This test requires getfacl and set=
facl.'
acl.sh: skipped test: This test requires getfacl and setfacl.
+ test 9 =3D 2
+ printf '%s\n' 'acl.sh: skipped test: This test requires getfacl and set=
facl.'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-acl.sh.RGoZ
+ exit 77
SKIP tests/mv/acl.sh (exit status: 77)

SKIP: tests/mv/atomic
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-atomic.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-atomic.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
atomic.sh.w0ju'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
++ cd /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_strace_ unlink
+ test 1 =3D 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'atomic.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'atomic.sh: skipped test: no strace program'
atomic.sh: skipped test: no strace program
+ test 9 =3D 2
+ printf '%s\n' 'atomic.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-atomic.sh.w0ju
+ exit 77
SKIP tests/mv/atomic.sh (exit status: 77)

SKIP: tests/mv/atomic2
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-atomic2.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-atomic2.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
atomic2.sh.51DZ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
++ cd /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_strace_ unlink
+ test 1 =3D 1
+ strace -V
+ skip_ 'no strace program'
+ warn_ 'atomic2.sh: skipped test: no strace program'
+ case $IFS in
+ printf '%s\n' 'atomic2.sh: skipped test: no strace program'
atomic2.sh: skipped test: no strace program
+ test 9 =3D 2
+ printf '%s\n' 'atomic2.sh: skipped test: no strace program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-atomic2.sh.51DZ
+ exit 77
SKIP tests/mv/atomic2.sh (exit status: 77)

SKIP: tests/mv/leak-fd
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-leak-fd.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-leak-fd.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
leak-fd.sh.RKjW'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
++ cd /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ skip_if_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ . /tmp/64-bit/coreutils-8.24/tests/other-fs-tmpdir
++ test '' =3D set
++ CANDIDATE_TMP_DIRS=3D'/tmp /tmp /dev/shm /var/tmp /usr/tmp /home/softw=
are'
++ other_partition_tmpdir=3D
+++ stat -c %d .
++ dot_mount_point=3D1322849927170
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /tmp
+++ stat -L -c %d /tmp
++ d_mount_point=3D1322849927170
++ test x1322849927170 =3D x1322849927170
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /tmp
+++ stat -L -c %d /tmp
++ d_mount_point=3D1322849927170
++ test x1322849927170 =3D x1322849927170
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /dev/shm
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /var/tmp
+++ stat -L -c %d /var/tmp
++ d_mount_point=3D777389146115
++ test x777389146115 =3D x1322849927170
++ mkdir /var/tmp/tmp19043
++ other_partition_tmpdir=3D/var/tmp/tmp19043
++ break
++ test -z /var/tmp/tmp19043
++ test yes =3D yes
++ set -x
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'leak-fd.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'leak-fd.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
leak-fd.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'leak-fd.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ rm -rf /var/tmp/tmp19043
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-leak-fd.sh.RKjW
+ exit 77
SKIP tests/mv/leak-fd.sh (exit status: 77)

SKIP: tests/mv/symlink-onto-hardlink-to-self
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-symlink-onto-hardlink-to-self.=
sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-symlink-onto-hardlink-to-self.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.sh.rN=
MH
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.s=
h.rNMH
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.=
sh.rNMH
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
symlink-onto-hardlink-to-self.sh.rNMH'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.sh.r=
NMH
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-sel=
f.sh.rNMH
++ cd /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.sh.rNMH=

++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ touch f
+ ln -s f s2
+ ln s2 s1
+ test -h s1
+ skip_ your kernel or file system cannot create a hard link to a symlink=

+ warn_ 'symlink-onto-hardlink-to-self.sh: skipped test: your' kernel or =
file system cannot create a hard link to a symlink
+ case $IFS in
+ printf '%s\n' 'symlink-onto-hardlink-to-self.sh: skipped test: your ker=
nel or file system cannot create a hard link to a symlink'
symlink-onto-hardlink-to-self.sh: skipped test: your kernel or file syste=
m cannot create a hard link to a symlink
+ test 9 =3D 2
+ printf '%s\n' 'symlink-onto-hardlink-to-self.sh: skipped test: your ker=
nel or file system cannot create a hard link to a symlink'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-s=
elf.sh.rNMH
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-symlink-onto-hardlink-to-self.sh.r=
NMH
+ exit 77
SKIP tests/mv/symlink-onto-hardlink-to-self.sh (exit status: 77)

SKIP: tests/tail-2/big-4gb
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-big-4gb.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-big-4gb.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
big-4gb.sh.e5NQ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
++ cd /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ expensive_
+ test '' '!=3D' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'big-4gb.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'big-4gb.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
big-4gb.sh: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 =3D 2
+ printf '%s\n' 'big-4gb.sh: skipped test: expensive: disabled by default=

This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-big-4gb.sh.e5NQ
+ exit 77
SKIP tests/tail-2/big-4gb.sh (exit status: 77)

SKIP: tests/chown/basic
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-basic.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-basic.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
basic.sh.xFzP'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
++ cd /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chown
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chown --version
chown (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'basic.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'basic.sh: skipped test: must be run as root'
basic.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'basic.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-basic.sh.xFzP
+ exit 77
SKIP tests/chown/basic.sh (exit status: 77)

SKIP: tests/cp/cp-a-selinux
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-cp-a-selinux.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-cp-a-selinux.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
cp-a-selinux.sh.5wRZ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
++ cd /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'cp-a-selinux.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'cp-a-selinux.sh: skipped test: must be run as root'
cp-a-selinux.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'cp-a-selinux.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-cp-a-selinux.sh.5wRZ
+ exit 77
SKIP tests/cp/cp-a-selinux.sh (exit status: 77)

SKIP: tests/cp/preserve-gid
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-preserve-gid.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-preserve-gid.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
preserve-gid.sh.KRhI'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
++ cd /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'preserve-gid.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'preserve-gid.sh: skipped test: must be run as root'
preserve-gid.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'preserve-gid.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-preserve-gid.sh.KRhI
+ exit 77
SKIP tests/cp/preserve-gid.sh (exit status: 77)

SKIP: tests/cp/special-bits
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-special-bits.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-special-bits.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
special-bits.sh.Gawd'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
++ cd /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'special-bits.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'special-bits.sh: skipped test: must be run as root'
special-bits.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'special-bits.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-special-bits.sh.Gawd
+ exit 77
SKIP tests/cp/special-bits.sh (exit status: 77)

SKIP: tests/cp/cp-mv-enotsup-xattr
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-cp-mv-enotsup-xattr.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-cp-mv-enotsup-xattr.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
cp-mv-enotsup-xattr.sh.Ppxk'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
++ cd /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'cp-mv-enotsup-xattr.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'cp-mv-enotsup-xattr.sh: skipped test: must be run as roo=
t'
cp-mv-enotsup-xattr.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'cp-mv-enotsup-xattr.sh: skipped test: must be run as roo=
t'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppx=
k
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-cp-mv-enotsup-xattr.sh.Ppxk
+ exit 77
SKIP tests/cp/cp-mv-enotsup-xattr.sh (exit status: 77)

SKIP: tests/cp/capability
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-capability.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-capability.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
capability.sh.7wvs'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
++ cd /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'capability.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'capability.sh: skipped test: must be run as root'
capability.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'capability.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-capability.sh.7wvs
+ exit 77
SKIP tests/cp/capability.sh (exit status: 77)

SKIP: tests/cp/sparse-fiemap
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sparse-fiemap.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sparse-fiemap.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
sparse-fiemap.sh.ziLb'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
++ cd /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ cp
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ require_perl_
+ : perl
+ perl -e 'use warnings'
+ touch fiemap_chk
+ fiemap_capable_ fiemap_chk
+ python
+ python /tmp/64-bit/coreutils-8.24/tests/fiemap-capable fiemap_chk
+ skip_ 'current file system has insufficient FIEMAP support'
+ warn_ 'sparse-fiemap.sh: skipped test: current file system has insuffic=
ient FIEMAP support'
+ case $IFS in
+ printf '%s\n' 'sparse-fiemap.sh: skipped test: current file system has =
insufficient FIEMAP support'
sparse-fiemap.sh: skipped test: current file system has insufficient FIEM=
AP support
+ test 9 =3D 2
+ printf '%s\n' 'sparse-fiemap.sh: skipped test: current file system has =
insufficient FIEMAP support'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sparse-fiemap.sh.ziLb
+ exit 77
SKIP tests/cp/sparse-fiemap.sh (exit status: 77)

SKIP: tests/dd/skip-seek-past-dev
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-skip-seek-past-dev.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-skip-seek-past-dev.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
skip-seek-past-dev.sh.9Ps5'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
++ cd /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ dd
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env dd --version
dd (coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'skip-seek-past-dev.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'skip-seek-past-dev.sh: skipped test: must be run as root=
'
skip-seek-past-dev.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'skip-seek-past-dev.sh: skipped test: must be run as root=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-skip-seek-past-dev.sh.9Ps5
+ exit 77
SKIP tests/dd/skip-seek-past-dev.sh (exit status: 77)

SKIP: tests/df/problematic-chars
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-problematic-chars.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-problematic-chars.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
problematic-chars.sh.Kv5E'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
++ cd /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'problematic-chars.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'problematic-chars.sh: skipped test: must be run as root'=

problematic-chars.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'problematic-chars.sh: skipped test: must be run as root'=

+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-problematic-chars.sh.Kv5E
+ exit 77
SKIP tests/df/problematic-chars.sh (exit status: 77)

SKIP: tests/df/over-mount-device
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-over-mount-device.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-over-mount-device.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
over-mount-device.sh.L3Yt'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
++ cd /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ df
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'over-mount-device.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'over-mount-device.sh: skipped test: must be run as root'=

over-mount-device.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'over-mount-device.sh: skipped test: must be run as root'=

+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-over-mount-device.sh.L3Yt
+ exit 77
SKIP tests/df/over-mount-device.sh (exit status: 77)

SKIP: tests/du/bind-mount-dir-cycle
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-bind-mount-dir-cycle.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-bind-mount-dir-cycle.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
bind-mount-dir-cycle.sh.to4X'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X=

++ cd /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'bind-mount-dir-cycle.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'bind-mount-dir-cycle.sh: skipped test: must be run as ro=
ot'
bind-mount-dir-cycle.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'bind-mount-dir-cycle.sh: skipped test: must be run as ro=
ot'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to=
4X
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle.sh.to4X
+ exit 77
SKIP tests/du/bind-mount-dir-cycle.sh (exit status: 77)

SKIP: tests/du/bind-mount-dir-cycle-v2
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-bind-mount-dir-cycle-v2.sh.XXX=
X
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-bind-mount-dir-cycle-v2.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.TfsQ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.TfsQ=

++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.Tfs=
Q
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
bind-mount-dir-cycle-v2.sh.TfsQ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.TfsQ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.T=
fsQ
++ cd /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.TfsQ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ du
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env du --version
du (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'bind-mount-dir-cycle-v2.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'bind-mount-dir-cycle-v2.sh: skipped test: must be run as=
 root'
bind-mount-dir-cycle-v2.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'bind-mount-dir-cycle-v2.sh: skipped test: must be run as=
 root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh=
=2ETfsQ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-bind-mount-dir-cycle-v2.sh.TfsQ
+ exit 77
SKIP tests/du/bind-mount-dir-cycle-v2.sh (exit status: 77)

SKIP: tests/id/setgid
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-setgid.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-setgid.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
setgid.sh.2qvJ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++ cd /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ id
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'setgid.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'setgid.sh: skipped test: must be run as root'
setgid.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'setgid.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-setgid.sh.2qvJ
+ exit 77
SKIP tests/id/setgid.sh (exit status: 77)

SKIP: tests/install/install-C-root
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-install-C-root.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-install-C-root.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
install-C-root.sh.CbWW'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
++ cd /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ginstall
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ginstall --version
install (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'install-C-root.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'install-C-root.sh: skipped test: must be run as root'
install-C-root.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'install-C-root.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-install-C-root.sh.CbWW
+ exit 77
SKIP tests/install/install-C-root.sh (exit status: 77)

SKIP: tests/ls/capability
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-capability.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-capability.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
capability.sh.QKuc'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
++ cd /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'capability.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'capability.sh: skipped test: must be run as root'
capability.sh: skipped test: must be run as root
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'capability.sh: skipped test: must be run as root'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-capability.sh.QKuc
+ exit 77
SKIP tests/ls/capability.sh (exit status: 77)

SKIP: tests/ls/nameless-uid
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-nameless-uid.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-nameless-uid.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
nameless-uid.sh.NcYR'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
++ cd /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ ls
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'nameless-uid.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'nameless-uid.sh: skipped test: must be run as root'
nameless-uid.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'nameless-uid.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-nameless-uid.sh.NcYR
+ exit 77
SKIP tests/ls/nameless-uid.sh (exit status: 77)

SKIP: tests/misc/chcon
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-chcon.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-chcon.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
chcon.sh.axyW'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
++ cd /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chcon
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chcon --version
chcon (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'chcon.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'chcon.sh: skipped test: must be run as root'
chcon.sh: skipped test: must be run as root
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'chcon.sh: skipped test: must be run as root'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-chcon.sh.axyW
+ exit 77
SKIP tests/misc/chcon.sh (exit status: 77)

SKIP: tests/misc/chroot-credentials
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-chroot-credentials.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-chroot-credentials.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
chroot-credentials.sh.eZ64'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
++ cd /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chroot
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chroot --version
chroot (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Roland McGrath.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'chroot-credentials.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'chroot-credentials.sh: skipped test: must be run as root=
'
chroot-credentials.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'chroot-credentials.sh: skipped test: must be run as root=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-chroot-credentials.sh.eZ64
+ exit 77
SKIP tests/misc/chroot-credentials.sh (exit status: 77)

SKIP: tests/misc/selinux
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-selinux.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-selinux.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
selinux.sh.PvbI'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
++ cd /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ chcon cp ls mv stat
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env chcon --version
chcon (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env ls --version
ls (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ for i in '$*'
+ env stat --version
stat (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Michael Meskes.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'selinux.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'selinux.sh: skipped test: must be run as root'
selinux.sh: skipped test: must be run as root
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'selinux.sh: skipped test: must be run as root'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-selinux.sh.PvbI
+ exit 77
SKIP tests/misc/selinux.sh (exit status: 77)

SKIP: tests/misc/truncate-owned-by-other
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-truncate-owned-by-other.sh.XXX=
X
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-truncate-owned-by-other.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0A
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0A=

++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0=
A
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
truncate-owned-by-other.sh.Kt0A'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0A
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.K=
t0A
++ cd /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0A
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ truncate
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env truncate --version
truncate (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by P'adraig Brady.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'truncate-owned-by-other.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'truncate-owned-by-other.sh: skipped test: must be run as=
 root'
truncate-owned-by-other.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'truncate-owned-by-other.sh: skipped test: must be run as=
 root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh=
=2EKt0A
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-truncate-owned-by-other.sh.Kt0A
+ exit 77
SKIP tests/misc/truncate-owned-by-other.sh (exit status: 77)

SKIP: tests/mkdir/writable-under-readonly
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-writable-under-readonly.sh.XXX=
X
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-writable-under-readonly.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8bM
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8bM=

++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8b=
M
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
writable-under-readonly.sh.W8bM'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8bM
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W=
8bM
++ cd /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8bM
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'writable-under-readonly.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'writable-under-readonly.sh: skipped test: must be run as=
 root'
writable-under-readonly.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'writable-under-readonly.sh: skipped test: must be run as=
 root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh=
=2EW8bM
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-writable-under-readonly.sh.W8bM
+ exit 77
SKIP tests/mkdir/writable-under-readonly.sh (exit status: 77)

SKIP: tests/mkdir/smack-root
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-smack-root.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-smack-root.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
smack-root.sh.CImx'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++ cd /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mkdir mkfifo mknod
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mkdir --version
mkdir (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mkfifo --version
mkfifo (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ for i in '$*'
+ env mknod --version
mknod (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ require_smack_
+ grep 'smackfs$' /proc/filesystems
grep: can't open "/proc/filesystems"
+ skip_ 'this system lacks SMACK support'
+ warn_ 'smack-root.sh: skipped test: this system lacks SMACK support'
+ case $IFS in
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK sup=
port'
smack-root.sh: skipped test: this system lacks SMACK support
+ test 9 =3D 2
+ printf '%s\n' 'smack-root.sh: skipped test: this system lacks SMACK sup=
port'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-smack-root.sh.CImx
+ exit 77
SKIP tests/mkdir/smack-root.sh (exit status: 77)

SKIP: tests/mv/hardlink-case
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-hardlink-case.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-hardlink-case.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
hardlink-case.sh.rbpK'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
++ cd /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'hardlink-case.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'hardlink-case.sh: skipped test: must be run as root'
hardlink-case.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'hardlink-case.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-hardlink-case.sh.rbpK
+ exit 77
SKIP tests/mv/hardlink-case.sh (exit status: 77)

SKIP: tests/mv/sticky-to-xpart
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-sticky-to-xpart.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-sticky-to-xpart.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
sticky-to-xpart.sh.ljCd'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
++ cd /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ mv
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env mv --version
mv (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'sticky-to-xpart.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'sticky-to-xpart.sh: skipped test: must be run as root'
sticky-to-xpart.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'sticky-to-xpart.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-sticky-to-xpart.sh.ljCd
+ exit 77
SKIP tests/mv/sticky-to-xpart.sh (exit status: 77)

SKIP: tests/rm/fail-2eperm
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-fail-2eperm.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-fail-2eperm.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
fail-2eperm.sh.Fhqx'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
++ cd /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'fail-2eperm.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'fail-2eperm.sh: skipped test: must be run as root'
fail-2eperm.sh: skipped test: must be run as root
+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 'fail-2eperm.sh: skipped test: must be run as root'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-fail-2eperm.sh.Fhqx
+ exit 77
SKIP tests/rm/fail-2eperm.sh (exit status: 77)

SKIP: tests/rm/no-give-up
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=


++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-no-give-up.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-no-give-up.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
no-give-up.sh.XALF'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
++ cd /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'no-give-up.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'no-give-up.sh: skipped test: must be run as root'
no-give-up.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'no-give-up.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-no-give-up.sh.XALF
+ exit 77
SKIP tests/rm/no-give-up.sh (exit status: 77)

SKIP: tests/rm/one-file-system
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-one-file-system.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-one-file-system.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
one-file-system.sh.V5QM'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
++ cd /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'one-file-system.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'one-file-system.sh: skipped test: must be run as root'
one-file-system.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'one-file-system.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-one-file-system.sh.V5QM
+ exit 77
SKIP tests/rm/one-file-system.sh (exit status: 77)

SKIP: tests/rm/read-only
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-read-only.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-read-only.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
read-only.sh.sUXN'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
++ cd /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ rm
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env rm --version
rm (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'read-only.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'read-only.sh: skipped test: must be run as root'
read-only.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'read-only.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-read-only.sh.sUXN
+ exit 77
SKIP tests/rm/read-only.sh (exit status: 77)

SKIP: tests/tail-2/append-only
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-append-only.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-append-only.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
append-only.sh.8on0'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
++ cd /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ tail
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'append-only.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'append-only.sh: skipped test: must be run as root'
append-only.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'append-only.sh: skipped test: must be run as root'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-append-only.sh.8on0
+ exit 77
SKIP tests/tail-2/append-only.sh (exit status: 77)

SKIP: tests/touch/now-owned-by-other
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-now-owned-by-other.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-now-owned-by-other.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
now-owned-by-other.sh.eHqo'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
++ cd /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ touch
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env touch --version
touch (GNU coreutils) 8.24
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
David MacKenzie, and Randy Smith.
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=3D100
+ case $my_uid in
+ return 1
+ skip_ 'must be run as root'
+ warn_ 'now-owned-by-other.sh: skipped test: must be run as root'
+ case $IFS in
+ printf '%s\n' 'now-owned-by-other.sh: skipped test: must be run as root=
'
now-owned-by-other.sh: skipped test: must be run as root
+ test 9 =3D 2
+ printf '%s\n' 'now-owned-by-other.sh: skipped test: must be run as root=
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo=

+ rm -rf /tmp/64-bit/coreutils-8.24/gt-now-owned-by-other.sh.eHqo
+ exit 77
SKIP tests/touch/now-owned-by-other.sh (exit status: 77)

SKIP: tests/factor/t00
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t00.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t00.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
t00.sh.bxQt'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
++ cd /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't00.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't00.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t00.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't00.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t00.sh.bxQt
+ exit 77
SKIP tests/factor/t00.sh (exit status: 77)

SKIP: tests/factor/t01
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t01.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t01.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
t01.sh.9Ppo'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
++ cd /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't01.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't01.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t01.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't01.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t01.sh.9Ppo
+ exit 77
SKIP tests/factor/t01.sh (exit status: 77)

SKIP: tests/factor/t02
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t02.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t02.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
t02.sh.NwTa'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
++ cd /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't02.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't02.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t02.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't02.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t02.sh.NwTa
+ exit 77
SKIP tests/factor/t02.sh (exit status: 77)

SKIP: tests/factor/t03
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t03.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t03.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
t03.sh.QzBm'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
++ cd /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't03.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't03.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t03.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't03.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t03.sh.QzBm
+ exit 77
SKIP tests/factor/t03.sh (exit status: 77)

SKIP: tests/factor/t04
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t04.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t04.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
+++ perms=3D'drwx------ 2 117 Jul 15 10:22 /tmp/64-bit/coreutils-8.24/gt-=
t04.sh.8uvz'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
++ cd /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't04.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't04.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t04.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't04.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t04.sh.8uvz
+ exit 77
SKIP tests/factor/t04.sh (exit status: 77)

SKIP: tests/factor/t05
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t05.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t05.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t05.sh.f1zz'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
++ cd /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't05.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't05.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t05.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't05.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t05.sh.f1zz
+ exit 77
SKIP tests/factor/t05.sh (exit status: 77)

SKIP: tests/factor/t06
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t06.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t06.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t06.sh.OLHZ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
++ cd /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't06.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't06.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t06.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't06.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t06.sh.OLHZ
+ exit 77
SKIP tests/factor/t06.sh (exit status: 77)

SKIP: tests/factor/t07
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t07.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t07.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t07.sh.YMEK'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
++ cd /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't07.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't07.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t07.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't07.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t07.sh.YMEK
+ exit 77
SKIP tests/factor/t07.sh (exit status: 77)

SKIP: tests/factor/t08
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t08.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t08.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t08.sh.PRNt'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
++ cd /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't08.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't08.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t08.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't08.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t08.sh.PRNt
+ exit 77
SKIP tests/factor/t08.sh (exit status: 77)

SKIP: tests/factor/t09
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t09.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t09.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t09.sh.hX3X'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
++ cd /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't09.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't09.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t09.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't09.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t09.sh.hX3X
+ exit 77
SKIP tests/factor/t09.sh (exit status: 77)

SKIP: tests/factor/t10
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t10.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t10.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t10.sh.EtiU'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
++ cd /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't10.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't10.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t10.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't10.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t10.sh.EtiU
+ exit 77
SKIP tests/factor/t10.sh (exit status: 77)

SKIP: tests/factor/t11
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t11.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t11.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t11.sh.fMm1'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
++ cd /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't11.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't11.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t11.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't11.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t11.sh.fMm1
+ exit 77
SKIP tests/factor/t11.sh (exit status: 77)

SKIP: tests/factor/t12
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t12.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t12.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t12.sh.XTiJ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
++ cd /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't12.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't12.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t12.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't12.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t12.sh.XTiJ
+ exit 77
SKIP tests/factor/t12.sh (exit status: 77)

SKIP: tests/factor/t13
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t13.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t13.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t13.sh.YaQX'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
++ cd /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't13.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't13.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t13.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't13.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t13.sh.YaQX
+ exit 77
SKIP tests/factor/t13.sh (exit status: 77)

SKIP: tests/factor/t14
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t14.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t14.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t14.sh.As4v'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
++ cd /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't14.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't14.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t14.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't14.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t14.sh.As4v
+ exit 77
SKIP tests/factor/t14.sh (exit status: 77)

SKIP: tests/factor/t15
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t15.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t15.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t15.sh.OQCq'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
++ cd /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't15.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't15.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t15.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't15.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t15.sh.OQCq
+ exit 77
SKIP tests/factor/t15.sh (exit status: 77)

SKIP: tests/factor/t16
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t16.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t16.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t16.sh.HO19'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
++ cd /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't16.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't16.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t16.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't16.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t16.sh.HO19
+ exit 77
SKIP tests/factor/t16.sh (exit status: 77)

SKIP: tests/factor/t17
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t17.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t17.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t17.sh.OO4Y'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
++ cd /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't17.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't17.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t17.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't17.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t17.sh.OO4Y
+ exit 77
SKIP tests/factor/t17.sh (exit status: 77)

SKIP: tests/factor/t18
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t18.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t18.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t18.sh.FKQz'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
++ cd /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't18.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't18.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t18.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't18.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t18.sh.FKQz
+ exit 77
SKIP tests/factor/t18.sh (exit status: 77)

SKIP: tests/factor/t19
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t19.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t19.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t19.sh.sgqZ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
++ cd /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't19.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't19.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t19.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't19.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t19.sh.sgqZ
+ exit 77
SKIP tests/factor/t19.sh (exit status: 77)

SKIP: tests/factor/t20
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t20.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t20.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t20.sh.h5dT'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
++ cd /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't20.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't20.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t20.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't20.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t20.sh.h5dT
+ exit 77
SKIP tests/factor/t20.sh (exit status: 77)

SKIP: tests/factor/t21
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t21.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t21.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t21.sh.-DwL'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
++ cd /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't21.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't21.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t21.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't21.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t21.sh.SDwL
+ exit 77
SKIP tests/factor/t21.sh (exit status: 77)

SKIP: tests/factor/t22
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t22.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t22.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t22.sh.CnT7'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
++ cd /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't22.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't22.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t22.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't22.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t22.sh.CnT7
+ exit 77
SKIP tests/factor/t22.sh (exit status: 77)

SKIP: tests/factor/t23
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t23.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t23.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t23.sh.7V1U'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
++ cd /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't23.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't23.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t23.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't23.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t23.sh.7V1U
+ exit 77
SKIP tests/factor/t23.sh (exit status: 77)

SKIP: tests/factor/t24
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t24.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t24.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t24.sh.EIa7'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
++ cd /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't24.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't24.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t24.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't24.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t24.sh.EIa7
+ exit 77
SKIP tests/factor/t24.sh (exit status: 77)

SKIP: tests/factor/t25
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t25.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t25.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t25.sh.JTim'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
++ cd /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't25.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't25.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t25.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't25.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t25.sh.JTim
+ exit 77
SKIP tests/factor/t25.sh (exit status: 77)

SKIP: tests/factor/t26
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t26.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t26.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t26.sh.X-zm'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
++ cd /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't26.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't26.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t26.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't26.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t26.sh.XSzm
+ exit 77
SKIP tests/factor/t26.sh (exit status: 77)

SKIP: tests/factor/t27
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t27.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t27.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t27.sh.f7tg'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
++ cd /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't27.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't27.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t27.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't27.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t27.sh.f7tg
+ exit 77
SKIP tests/factor/t27.sh (exit status: 77)

SKIP: tests/factor/t28
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t28.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t28.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t28.sh.iNUs'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
++ cd /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't28.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't28.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t28.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't28.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t28.sh.iNUs
+ exit 77
SKIP tests/factor/t28.sh (exit status: 77)

SKIP: tests/factor/t29
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t29.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t29.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t29.sh.C1cE'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
++ cd /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't29.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't29.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t29.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't29.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t29.sh.C1cE
+ exit 77
SKIP tests/factor/t29.sh (exit status: 77)

SKIP: tests/factor/t30
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t30.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t30.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t30.sh.qgUl'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
++ cd /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't30.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't30.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t30.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't30.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t30.sh.qgUl
+ exit 77
SKIP tests/factor/t30.sh (exit status: 77)

SKIP: tests/factor/t31
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t31.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t31.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t31.sh.2rdh'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
++ cd /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't31.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't31.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t31.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't31.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t31.sh.2rdh
+ exit 77
SKIP tests/factor/t31.sh (exit status: 77)

SKIP: tests/factor/t32
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t32.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t32.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
++++ tr S -
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t32.sh.eIZi'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
++ cd /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't32.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't32.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t32.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't32.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t32.sh.eIZi
+ exit 77
SKIP tests/factor/t32.sh (exit status: 77)

SKIP: tests/factor/t33
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t33.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t33.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t33.sh.jqsE'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
++ cd /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't33.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't33.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t33.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't33.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t33.sh.jqsE
+ exit 77
SKIP tests/factor/t33.sh (exit status: 77)

SKIP: tests/factor/t34
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t34.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t34.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t34.sh.Lgvp'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
++ cd /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't34.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't34.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t34.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ sed 1q
+ printf '%s\n' 't34.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t34.sh.Lgvp
+ exit 77
SKIP tests/factor/t34.sh (exit status: 77)

SKIP: tests/factor/t35
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t35.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t35.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t35.sh.pv8L'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
++ cd /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't35.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't35.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t35.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't35.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t35.sh.pv8L
+ exit 77
SKIP tests/factor/t35.sh (exit status: 77)

SKIP: tests/factor/t36
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/tmp/64-bit/coreutils-8.24
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /tmp/64-bit/coreutils-8.24 gt-t36.sh.XXXX
+++ case $# in
+++ destdir_=3D/tmp/64-bit/coreutils-8.24
+++ template_=3Dgt-t36.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
+++ case $d in
+++ test -d /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
++++ ls -dgo /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
++++ tr S -
+++ perms=3D'drwx------ 2 117 Jul 15 10:23 /tmp/64-bit/coreutils-8.24/gt-=
t36.sh.omzs'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
+++ return
++ test_dir_=3D/tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
++ cd /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/tmp/64-bit/coreutils-8.24/./src
+ case $abs_path_dir_ in
+ PATH=3D/tmp/64-bit/coreutils-8.24/./src:/tmp/64-bit/coreutils-8.24/src:=
/usr/xpg4/bin:/pkgs/64-bit/bin:/pkgs/64-bit/sbin:/pkgs/bin:/usr/bin:/usr/=
ccs/bin:/usr/proc/bin:/usr/sbin:/sbin
+ create_exe_shims_ /tmp/64-bit/coreutils-8.24/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ very_expensive_
+ test '' '!=3D' yes
+ skip_ 'very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ warn_ 't36.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ case $IFS in
+ printf '%s\n' 't36.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
t36.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive

+ test 9 =3D 2
+ printf '%s\n' 't36.sh: skipped test: very expensive: disabled by defaul=
t
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_VERY_EXPENSIVE_TESTS=3Dyes make check

or use the shortcut target of the toplevel Makefile,

  make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=3D77
+ cleanup_
+ :
+ cd /tmp/64-bit/coreutils-8.24
+ chmod -R u+rwx /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
+ rm -rf /tmp/64-bit/coreutils-8.24/gt-t36.sh.omzs
+ exit 77
SKIP tests/factor/t36.sh (exit status: 77)


--------------060309010004000200020900--




Acknowledgement sent to Peter Bray <pdb_ml@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#21062; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Oct 2018 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.